/*
 * This file is part of IFM, the Interactive Fiction Mapper, copyright (C)
 * Glenn Hutchings 1997-2006.
 *
 * IFM comes with ABSOLUTELY NO WARRANTY.  This is free software, and you
 * are welcome to redistribute it under certain conditions; see the file
 * COPYING for details.
 */

/* A lexical scanner generated by flex */

/* Scanner skeleton version:
 * $Header: /usr/local/cvsroot/apps/ifm/src/ifm-scan.c,v 1.8 2005/09/08 13:53:55 glen Exp $
 */

#define FLEX_SCANNER
#define YY_FLEX_MAJOR_VERSION 2
#define YY_FLEX_MINOR_VERSION 5

#include <stdio.h>


/* cfront 1.2 defines "c_plusplus" instead of "__cplusplus" */
#ifdef c_plusplus
#ifndef __cplusplus
#define __cplusplus
#endif
#endif


#ifdef __cplusplus

#include <stdlib.h>
#include <unistd.h>

/* Use prototypes in function declarations. */
#define YY_USE_PROTOS

/* The "const" storage-class-modifier is valid. */
#define YY_USE_CONST

#else	/* ! __cplusplus */

#if __STDC__

#define YY_USE_PROTOS
#define YY_USE_CONST

#endif	/* __STDC__ */
#endif	/* ! __cplusplus */

#ifdef __TURBOC__
 #pragma warn -rch
 #pragma warn -use
#include <io.h>
#include <stdlib.h>
#define YY_USE_CONST
#define YY_USE_PROTOS
#endif

#ifdef YY_USE_CONST
#define yyconst const
#else
#define yyconst
#endif


#ifdef YY_USE_PROTOS
#define YY_PROTO(proto) proto
#else
#define YY_PROTO(proto) ()
#endif

/* Returned upon end-of-file. */
#define YY_NULL 0

/* Promotes a possibly negative, possibly signed char to an unsigned
 * integer for use as an array index.  If the signed char is negative,
 * we want to instead treat it as an 8-bit unsigned char, hence the
 * double cast.
 */
#define YY_SC_TO_UI(c) ((unsigned int) (unsigned char) c)

/* Enter a start condition.  This macro really ought to take a parameter,
 * but we do it the disgusting crufty way forced on us by the ()-less
 * definition of BEGIN.
 */
#define BEGIN yy_start = 1 + 2 *

/* Translate the current start state into a value that can be later handed
 * to BEGIN to return to the state.  The YYSTATE alias is for lex
 * compatibility.
 */
#define YY_START ((yy_start - 1) / 2)
#define YYSTATE YY_START

/* Action number for EOF rule of a given start state. */
#define YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)

/* Special action meaning "start processing a new file". */
#define YY_NEW_FILE yyrestart( yyin )

#define YY_END_OF_BUFFER_CHAR 0

/* Size of default input buffer. */
#define YY_BUF_SIZE 16384

typedef struct yy_buffer_state *YY_BUFFER_STATE;

extern int yyleng;
extern FILE *yyin, *yyout;

#define EOB_ACT_CONTINUE_SCAN 0
#define EOB_ACT_END_OF_FILE 1
#define EOB_ACT_LAST_MATCH 2

/* The funky do-while in the following #define is used to turn the definition
 * int a single C statement (which needs a semi-colon terminator).  This
 * avoids problems with code like:
 *
 * 	if ( condition_holds )
 *		yyless( 5 );
 *	else
 *		do_something_else();
 *
 * Prior to using the do-while the compiler would get upset at the
 * "else" because it interpreted the "if" statement as being all
 * done when it reached the ';' after the yyless() call.
 */

/* Return all but the first 'n' matched characters back to the input stream. */

#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
		*yy_cp = yy_hold_char; \
		YY_RESTORE_YY_MORE_OFFSET \
		yy_c_buf_p = yy_cp = yy_bp + n - YY_MORE_ADJ; \
		YY_DO_BEFORE_ACTION; /* set up yytext again */ \
		} \
	while ( 0 )

#define unput(c) yyunput( c, yytext_ptr )

/* The following is because we cannot portably get our hands on size_t
 * (without autoconf's help, which isn't available because we want
 * flex-generated scanners to compile on their own).
 */
typedef unsigned int yy_size_t;


struct yy_buffer_state
	{
	FILE *yy_input_file;

	char *yy_ch_buf;		/* input buffer */
	char *yy_buf_pos;		/* current position in input buffer */

	/* Size of input buffer in bytes, not including room for EOB
	 * characters.
	 */
	yy_size_t yy_buf_size;

	/* Number of characters read into yy_ch_buf, not including EOB
	 * characters.
	 */
	int yy_n_chars;

	/* Whether we "own" the buffer - i.e., we know we created it,
	 * and can realloc() it to grow it, and should free() it to
	 * delete it.
	 */
	int yy_is_our_buffer;

	/* Whether this is an "interactive" input source; if so, and
	 * if we're using stdio for input, then we want to use getc()
	 * instead of fread(), to make sure we stop fetching input after
	 * each newline.
	 */
	int yy_is_interactive;

	/* Whether we're considered to be at the beginning of a line.
	 * If so, '^' rules will be active on the next match, otherwise
	 * not.
	 */
	int yy_at_bol;

	/* Whether to try to fill the input buffer when we reach the
	 * end of it.
	 */
	int yy_fill_buffer;

	int yy_buffer_status;
#define YY_BUFFER_NEW 0
#define YY_BUFFER_NORMAL 1
	/* When an EOF's been seen but there's still some text to process
	 * then we mark the buffer as YY_EOF_PENDING, to indicate that we
	 * shouldn't try reading from the input source any more.  We might
	 * still have a bunch of tokens to match, though, because of
	 * possible backing-up.
	 *
	 * When we actually see the EOF, we change the status to "new"
	 * (via yyrestart()), so that the user can continue scanning by
	 * just pointing yyin at a new input file.
	 */
#define YY_BUFFER_EOF_PENDING 2
	};

static YY_BUFFER_STATE yy_current_buffer = 0;

/* We provide macros for accessing buffer states in case in the
 * future we want to put the buffer states in a more general
 * "scanner state".
 */
#define YY_CURRENT_BUFFER yy_current_buffer


/* yy_hold_char holds the character lost when yytext is formed. */
static char yy_hold_char;

static int yy_n_chars;		/* number of characters read into yy_ch_buf */


int yyleng;

/* Points to current character in buffer. */
static char *yy_c_buf_p = (char *) 0;
static int yy_init = 1;		/* whether we need to initialize */
static int yy_start = 0;	/* start state number */

/* Flag which is used to allow yywrap()'s to do buffer switches
 * instead of setting up a fresh yyin.  A bit of a hack ...
 */
static int yy_did_buffer_switch_on_eof;

void yyrestart YY_PROTO(( FILE *input_file ));

void yy_switch_to_buffer YY_PROTO(( YY_BUFFER_STATE new_buffer ));
void yy_load_buffer_state YY_PROTO(( void ));
YY_BUFFER_STATE yy_create_buffer YY_PROTO(( FILE *file, int size ));
void yy_delete_buffer YY_PROTO(( YY_BUFFER_STATE b ));
void yy_init_buffer YY_PROTO(( YY_BUFFER_STATE b, FILE *file ));
void yy_flush_buffer YY_PROTO(( YY_BUFFER_STATE b ));
#define YY_FLUSH_BUFFER yy_flush_buffer( yy_current_buffer )

YY_BUFFER_STATE yy_scan_buffer YY_PROTO(( char *base, yy_size_t size ));
YY_BUFFER_STATE yy_scan_string YY_PROTO(( yyconst char *yy_str ));
YY_BUFFER_STATE yy_scan_bytes YY_PROTO(( yyconst char *bytes, int len ));

static void *yy_flex_alloc YY_PROTO(( yy_size_t ));
static void *yy_flex_realloc YY_PROTO(( void *, yy_size_t ));
static void yy_flex_free YY_PROTO(( void * ));

#define yy_new_buffer yy_create_buffer

#define yy_set_interactive(is_interactive) \
	{ \
	if ( ! yy_current_buffer ) \
		yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE ); \
	yy_current_buffer->yy_is_interactive = is_interactive; \
	}

#define yy_set_bol(at_bol) \
	{ \
	if ( ! yy_current_buffer ) \
		yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE ); \
	yy_current_buffer->yy_at_bol = at_bol; \
	}

#define YY_AT_BOL() (yy_current_buffer->yy_at_bol)

typedef unsigned char YY_CHAR;
FILE *yyin = (FILE *) 0, *yyout = (FILE *) 0;
typedef int yy_state_type;
extern char *yytext;
#define yytext_ptr yytext

static yy_state_type yy_get_previous_state YY_PROTO(( void ));
static yy_state_type yy_try_NUL_trans YY_PROTO(( yy_state_type current_state ));
static int yy_get_next_buffer YY_PROTO(( void ));
static void yy_fatal_error YY_PROTO(( yyconst char msg[] ));

/* Done after the current pattern has been matched and before the
 * corresponding action - sets up yytext.
 */
#define YY_DO_BEFORE_ACTION \
	yytext_ptr = yy_bp; \
	yyleng = (int) (yy_cp - yy_bp); \
	yy_hold_char = *yy_cp; \
	*yy_cp = '\0'; \
	yy_c_buf_p = yy_cp;

#define YY_NUM_RULES 85
#define YY_END_OF_BUFFER 86
static yyconst short int yy_accept[246] =
    {   0,
        0,    0,   86,   84,    2,    3,    4,    1,   84,   83,
       81,   81,   81,   81,   10,   15,   81,   81,   81,   81,
       81,   81,   81,   81,   42,   81,   81,   58,   81,   73,
       77,    2,    1,   82,    0,   83,    0,   81,   81,   81,
       81,   81,   81,   81,   12,   81,   81,   81,   81,   81,
       81,   81,   81,   81,   26,   81,   81,   30,   31,   81,
       81,   81,   81,   81,   81,   81,   43,   81,   53,   81,
       81,   81,   81,   81,   81,   61,   81,   81,   67,   81,
       81,   72,   81,   76,   81,   81,   80,   81,    6,    7,
       81,    9,   11,   81,   81,   81,   81,   81,   81,   81,

       81,   81,   23,   81,   81,   81,   81,   81,   81,   81,
       81,   81,   81,   81,   81,   41,   81,   81,   81,   81,
       81,   81,   81,   81,   55,   81,   81,   81,   81,   81,
       81,   81,   68,   81,   81,   81,   81,   81,   81,   81,
       80,   81,   81,   13,   14,   16,   81,   81,   19,   81,
       81,   22,   24,   27,   81,   81,   32,   33,   34,   35,
       81,   81,   38,   39,   40,   44,   81,   81,   48,   81,
       81,   52,   81,   81,   57,   59,   81,   81,   81,   81,
       69,   81,   81,   81,   81,   78,   79,    5,   81,   81,
       81,   81,   81,   25,   81,   81,   36,   81,   81,   81,

       81,   49,   81,   81,   60,   62,   65,   66,   70,   71,
       74,   75,    8,   81,   18,   20,   21,   28,   29,   37,
       45,   46,   47,   81,   81,   54,   81,   81,   81,   81,
       81,   81,   56,   81,   81,   17,   81,   81,   81,   81,
       50,   51,   63,   64,    0
    } ;

static yyconst int yy_ec[256] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    2,    3,
        1,    2,    2,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    2,    1,    4,    5,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    6,    1,    7,    7,    7,
        7,    7,    7,    7,    7,    7,    7,    1,    1,    1,
        1,    1,    1,    1,    8,    8,    8,    8,    8,    8,
        8,    8,    8,    8,    8,    8,    8,    8,    8,    8,
        8,    8,    8,    8,    8,    8,    8,    8,    8,    8,
        1,    1,    1,    1,    8,    1,    9,   10,   11,   12,

       13,   14,   15,   16,   17,   18,   19,   20,   21,   22,
       23,   24,   25,   26,   27,   28,   29,   30,   31,   32,
       33,    8,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,

        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1
    } ;

static yyconst int yy_meta[34] =
    {   0,
        1,    1,    2,    1,    1,    3,    4,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5,    5,    5,    5,    5,    5,    5,    5,
        5,    5,    5
    } ;

static yyconst short int yy_base[250] =
    {   0,
        0,    0,  483,  484,  480,  484,  484,    0,  474,   28,
      474,   30,   32,   33,   34,   37,   41,   49,   31,   55,
       50,   36,   78,   59,   65,   57,   69,   96,   91,   88,
       68,  477,    0,  471,  470,   83,    0,  470,   70,   93,
       47,   97,  109,  100,   87,  110,   98,  111,  123,  114,
      122,  116,  124,  125,  126,  129,  131,  469,  132,  140,
      137,  138,  142,  141,  143,  150,  153,  169,  468,  154,
      152,  162,  155,  163,  156,  467,  165,  167,  466,  177,
      178,  465,  184,  464,  176,  179,    0,  192,  463,  462,
      195,  461,  460,  166,  196,  180,  203,  204,  205,  207,

      208,  210,  459,  209,  213,  215,  217,  220,  223,  219,
      226,  228,  229,  231,  233,  458,  236,  241,  232,  246,
      247,  245,  249,  251,  457,  254,  257,  258,  259,  260,
      263,  264,  456,  262,  266,  270,  274,  269,  268,  285,
        0,  271,  286,  455,  454,  453,  287,  289,  452,  292,
      288,  451,  294,  450,  293,  296,  449,  448,  447,  446,
      297,  298,  445,  444,  443,  442,  301,  299,  441,  302,
      311,  440,  314,  308,  439,  438,  322,  323,  303,  327,
      437,  326,  328,  330,  331,  436,  435,  434,  332,  336,
      337,  340,  341,  433,  342,  344,  432,  343,  346,  348,

      352,  349,  354,  355,  431,  360,  430,  429,  428,  427,
      426,  425,  424,  357,  415,  412,  408,  406,  404,  403,
      402,  401,  400,  365,  369,  398,  370,  379,  373,  383,
      372,  378,  397,  384,  386,  396,  387,  388,  389,  391,
      395,  394,  392,  312,  484,  419,  422,   36,  424
    } ;

static yyconst short int yy_def[250] =
    {   0,
      245,    1,  245,  245,  245,  245,  245,  246,  245,  245,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  245,  246,  245,  245,  245,  248,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  249,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,

      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      249,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,

      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,  247,  247,  247,  247,  247,  247,
      247,  247,  247,  247,    0,  245,  245,  245,  245
    } ;

static yyconst short int yy_nxt[518] =
    {   0,
        4,    5,    6,    7,    8,    9,   10,   11,   12,   13,
       14,   15,   16,   17,   18,   19,   20,   21,   22,   23,
       24,   25,   26,   11,   11,   27,   28,   29,   30,   11,
       31,   11,   11,   35,   36,   37,   37,   37,   37,   37,
       87,   37,   37,   39,   42,   47,   37,   56,   61,   40,
       44,   41,   37,   43,   37,   37,   45,   50,   48,   46,
       37,   53,   37,   51,   37,   54,   52,   66,   49,   57,
       37,   55,   60,   37,   37,   37,   58,   67,   70,   90,
       85,   72,   59,   37,   86,   71,   62,   68,   35,   36,
       63,   73,   37,   37,   64,   69,   37,   88,   37,   80,

       65,   37,   37,   37,   74,   37,   75,   81,   76,   83,
       91,   84,   89,   82,   37,   37,   37,   94,   77,   37,
       92,   37,   97,   78,   96,   93,   79,   37,   37,   37,
       37,   37,   95,   98,   37,  100,   37,   37,  102,   99,
      106,  101,   37,   37,  108,   37,   37,   37,   37,  110,
      112,  103,  107,  105,  104,   37,  109,   37,   37,   37,
       37,   37,  114,  113,  111,  117,  124,   37,   37,  115,
       37,   37,   37,  116,   37,  131,  128,  127,  129,  125,
      118,   37,   37,   37,   37,   37,  126,  144,  119,   37,
      120,  133,  121,  130,  122,  137,  123,   37,  135,  132,

       37,   37,  139,  134,  142,  136,  140,  146,   37,   37,
       37,  138,   37,   37,   37,   37,  148,  143,   37,  145,
       37,  153,   37,  150,   37,   37,  155,  151,   37,  147,
      152,   37,  149,   37,   37,  154,   37,   37,   37,  156,
      157,   37,  159,  162,  158,  164,   37,  166,  168,  163,
       37,   37,   37,  160,   37,  170,   37,  161,  169,   37,
      165,  172,   37,   37,   37,   37,  167,   37,   37,   37,
      176,   37,  171,   37,   37,   37,   37,  175,  182,   37,
      181,  173,  174,  180,  177,  185,  184,  178,  179,  183,
       37,   37,   37,   37,   37,  186,  188,   37,   37,   37,

      187,   37,   37,   37,   37,  195,   37,   37,   37,  197,
      193,  189,  191,   37,  190,  194,   37,   37,  192,   37,
      200,  196,  203,  199,  204,  198,  202,   37,   37,  201,
      207,   37,   37,   37,  205,   37,   37,   37,  206,  208,
      210,   37,   37,  211,  213,   37,   37,   37,   37,   37,
      212,   37,  209,   37,   37,  216,  219,   37,  220,   37,
       37,  224,   37,  218,  215,   37,  222,  223,  214,  221,
       37,  217,  228,  231,   37,   37,  230,   37,   37,  225,
      227,  232,  233,   37,   37,  235,  226,  234,   37,   37,
      229,   37,   37,   37,   37,  236,   37,   37,  237,   37,

       37,   37,   37,   37,  238,   37,   37,   37,   37,   37,
      239,   37,  240,   37,  241,  242,  243,   37,  244,   33,
       37,   33,   33,   33,   38,   38,   38,  141,  141,   37,
       37,   37,   37,   37,   37,   37,   37,   37,   37,   37,
       37,   37,   37,   37,   37,   37,   37,   37,   37,   37,
       37,   37,   37,   37,   37,   37,   37,   37,   37,   37,
       37,   37,   37,   37,   37,   37,   37,   37,   37,   37,
       37,   37,   37,   37,   37,   37,   34,   34,   32,   37,
       34,   32,  245,    3,  245,  245,  245,  245,  245,  245,
      245,  245,  245,  245,  245,  245,  245,  245,  245,  245,

      245,  245,  245,  245,  245,  245,  245,  245,  245,  245,
      245,  245,  245,  245,  245,  245,  245
    } ;

static yyconst short int yy_chk[518] =
    {   0,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
        1,    1,    1,   10,   10,   12,   19,   13,   14,   15,
      248,   22,   16,   12,   13,   16,   17,   19,   22,   12,
       15,   12,   41,   14,   18,   21,   15,   17,   16,   15,
       20,   18,   26,   17,   24,   18,   17,   24,   16,   20,
       25,   18,   21,   31,   27,   39,   20,   25,   26,   41,
       31,   27,   20,   23,   31,   26,   23,   25,   36,   36,
       23,   27,   45,   30,   23,   25,   29,   39,   40,   29,

       23,   28,   42,   47,   28,   44,   28,   29,   28,   30,
       42,   30,   40,   29,   43,   46,   48,   45,   28,   50,
       43,   52,   48,   28,   47,   44,   28,   51,   49,   53,
       54,   55,   46,   49,   56,   50,   57,   59,   52,   49,
       56,   51,   61,   62,   59,   60,   64,   63,   65,   61,
       63,   53,   57,   55,   54,   66,   60,   71,   67,   70,
       73,   75,   64,   63,   62,   67,   70,   72,   74,   65,
       77,   94,   78,   66,   68,   78,   74,   73,   75,   71,
       68,   85,   80,   81,   86,   96,   72,   94,   68,   83,
       68,   80,   68,   77,   68,   83,   68,   88,   81,   78,

       91,   95,   85,   80,   88,   81,   86,   96,   97,   98,
       99,   83,  100,  101,  104,  102,   98,   91,  105,   95,
      106,  104,  107,  100,  110,  108,  106,  101,  109,   97,
      102,  111,   99,  112,  113,  105,  114,  119,  115,  107,
      108,  117,  110,  113,  109,  115,  118,  117,  119,  114,
      122,  120,  121,  111,  123,  121,  124,  112,  120,  126,
      115,  123,  127,  128,  129,  130,  118,  134,  131,  132,
      128,  135,  122,  139,  138,  136,  142,  127,  135,  137,
      134,  124,  126,  132,  129,  138,  137,  130,  131,  136,
      140,  143,  147,  151,  148,  139,  142,  150,  155,  153,

      140,  156,  161,  162,  168,  155,  167,  170,  179,  161,
      151,  143,  148,  174,  147,  153,  171,  244,  150,  173,
      168,  156,  173,  167,  174,  162,  171,  177,  178,  170,
      179,  182,  180,  183,  177,  184,  185,  189,  178,  180,
      183,  190,  191,  184,  189,  192,  193,  195,  198,  196,
      185,  199,  182,  200,  202,  192,  196,  201,  198,  203,
      204,  202,  214,  195,  191,  206,  200,  201,  190,  199,
      224,  193,  206,  224,  225,  227,  214,  231,  229,  202,
      204,  225,  227,  232,  228,  229,  203,  228,  230,  234,
      206,  235,  237,  238,  239,  230,  240,  243,  231,  242,

      241,  236,  233,  226,  232,  223,  222,  221,  220,  219,
      234,  218,  235,  217,  237,  238,  239,  216,  240,  246,
      215,  246,  246,  246,  247,  247,  247,  249,  249,  213,
      212,  211,  210,  209,  208,  207,  205,  197,  194,  188,
      187,  186,  181,  176,  175,  172,  169,  166,  165,  164,
      163,  160,  159,  158,  157,  154,  152,  149,  146,  145,
      144,  133,  125,  116,  103,   93,   92,   90,   89,   84,
       82,   79,   76,   69,   58,   38,   35,   34,   32,   11,
        9,    5,    3,  245,  245,  245,  245,  245,  245,  245,
      245,  245,  245,  245,  245,  245,  245,  245,  245,  245,

      245,  245,  245,  245,  245,  245,  245,  245,  245,  245,
      245,  245,  245,  245,  245,  245,  245
    } ;

static yy_state_type yy_last_accepting_state;
static char *yy_last_accepting_cpos;

/* The intent behind this definition is that it'll catch
 * any uses of REJECT which flex missed.
 */
#define REJECT reject_used_but_not_detected
#define yymore() yymore_used_but_not_detected
#define YY_MORE_ADJ 0
#define YY_RESTORE_YY_MORE_OFFSET
char *yytext;
#line 1 "ifm-scan.l"
#define INITIAL 0
#line 2 "ifm-scan.l"
/* Lexical scanner */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <vars.h>

#include "ifm-main.h"
#include "ifm-util.h"
#include "ifm-parse.h"

#define yywrap() 1

/* Internal string buffer */
static vbuffer *sbuf = NULL;
#line 577 "ifm-scan.c"

/* Macros after this point can all be overridden by user definitions in
 * section 1.
 */

#ifndef YY_SKIP_YYWRAP
#ifdef __cplusplus
extern "C" int yywrap YY_PROTO(( void ));
#else
extern int yywrap YY_PROTO(( void ));
#endif
#endif

#ifndef YY_NO_UNPUT
static void yyunput YY_PROTO(( int c, char *buf_ptr ));
#endif

#ifndef yytext_ptr
static void yy_flex_strncpy YY_PROTO(( char *, yyconst char *, int ));
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen YY_PROTO(( yyconst char * ));
#endif

#ifndef YY_NO_INPUT
#ifdef __cplusplus
static int yyinput YY_PROTO(( void ));
#else
static int input YY_PROTO(( void ));
#endif
#endif

#if YY_STACK_USED
static int yy_start_stack_ptr = 0;
static int yy_start_stack_depth = 0;
static int *yy_start_stack = 0;
#ifndef YY_NO_PUSH_STATE
static void yy_push_state YY_PROTO(( int new_state ));
#endif
#ifndef YY_NO_POP_STATE
static void yy_pop_state YY_PROTO(( void ));
#endif
#ifndef YY_NO_TOP_STATE
static int yy_top_state YY_PROTO(( void ));
#endif

#else
#define YY_NO_PUSH_STATE 1
#define YY_NO_POP_STATE 1
#define YY_NO_TOP_STATE 1
#endif

#ifdef YY_MALLOC_DECL
YY_MALLOC_DECL
#else
#if __STDC__
#ifndef __cplusplus
#include <stdlib.h>
#endif
#else
/* Just try to get by without declaring the routines.  This will fail
 * miserably on non-ANSI systems for which sizeof(size_t) != sizeof(int)
 * or sizeof(void*) != sizeof(int).
 */
#endif
#endif

/* Amount of stuff to slurp up with each read. */
#ifndef YY_READ_BUF_SIZE
#define YY_READ_BUF_SIZE 8192
#endif

/* Copy whatever the last rule matched to the standard output. */

#ifndef ECHO
/* This used to be an fputs(), but since the string might contain NUL's,
 * we now use fwrite().
 */
#define ECHO (void) fwrite( yytext, yyleng, 1, yyout )
#endif

/* Gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
 * is returned in "result".
 */
#ifndef YY_INPUT
#define YY_INPUT(buf,result,max_size) \
	if ( yy_current_buffer->yy_is_interactive ) \
		{ \
		int c = '*', n; \
		for ( n = 0; n < max_size && \
			     (c = getc( yyin )) != EOF && c != '\n'; ++n ) \
			buf[n] = (char) c; \
		if ( c == '\n' ) \
			buf[n++] = (char) c; \
		if ( c == EOF && ferror( yyin ) ) \
			YY_FATAL_ERROR( "input in flex scanner failed" ); \
		result = n; \
		} \
	else if ( ((result = fread( buf, 1, max_size, yyin )) == 0) \
		  && ferror( yyin ) ) \
		YY_FATAL_ERROR( "input in flex scanner failed" );
#endif

/* No semi-colon after return; correct usage is to write "yyterminate();" -
 * we don't want an extra ';' after the "return" because that will cause
 * some compilers to complain about unreachable statements.
 */
#ifndef yyterminate
#define yyterminate() return YY_NULL
#endif

/* Number of entries by which start-condition stack grows. */
#ifndef YY_START_STACK_INCR
#define YY_START_STACK_INCR 25
#endif

/* Report a fatal error. */
#ifndef YY_FATAL_ERROR
#define YY_FATAL_ERROR(msg) yy_fatal_error( msg )
#endif

/* Default declaration of generated scanner - a define so the user can
 * easily add parameters.
 */
#ifndef YY_DECL
#define YY_DECL int yylex YY_PROTO(( void ))
#endif

/* Code executed at the beginning of each rule, after yytext and yyleng
 * have been set up.
 */
#ifndef YY_USER_ACTION
#define YY_USER_ACTION
#endif

/* Code executed at the end of each rule. */
#ifndef YY_BREAK
#define YY_BREAK break;
#endif

#define YY_RULE_SETUP \
	YY_USER_ACTION

YY_DECL
	{
	register yy_state_type yy_current_state;
	register char *yy_cp = NULL, *yy_bp = NULL;
	register int yy_act;

#line 32 "ifm-scan.l"


#line 731 "ifm-scan.c"

	if ( yy_init )
		{
		yy_init = 0;

#ifdef YY_USER_INIT
		YY_USER_INIT;
#endif

		if ( ! yy_start )
			yy_start = 1;	/* first start state */

		if ( ! yyin )
			yyin = stdin;

		if ( ! yyout )
			yyout = stdout;

		if ( ! yy_current_buffer )
			yy_current_buffer =
				yy_create_buffer( yyin, YY_BUF_SIZE );

		yy_load_buffer_state();
		}

	while ( 1 )		/* loops until end-of-file is reached */
		{
		yy_cp = yy_c_buf_p;

		/* Support of yytext. */
		*yy_cp = yy_hold_char;

		/* yy_bp points to the position in yy_ch_buf of the start of
		 * the current run.
		 */
		yy_bp = yy_cp;

		yy_current_state = yy_start;
yy_match:
		do
			{
			register YY_CHAR yy_c = yy_ec[YY_SC_TO_UI(*yy_cp)];
			if ( yy_accept[yy_current_state] )
				{
				yy_last_accepting_state = yy_current_state;
				yy_last_accepting_cpos = yy_cp;
				}
			while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
				{
				yy_current_state = (int) yy_def[yy_current_state];
				if ( yy_current_state >= 246 )
					yy_c = yy_meta[(unsigned int) yy_c];
				}
			yy_current_state = yy_nxt[yy_base[yy_current_state] + (unsigned int) yy_c];
			++yy_cp;
			}
		while ( yy_base[yy_current_state] != 484 );

yy_find_action:
		yy_act = yy_accept[yy_current_state];
		if ( yy_act == 0 )
			{ /* have to back up */
			yy_cp = yy_last_accepting_cpos;
			yy_current_state = yy_last_accepting_state;
			yy_act = yy_accept[yy_current_state];
			}

		YY_DO_BEFORE_ACTION;


do_action:	/* This label is used only to access EOF actions. */


		switch ( yy_act )
	{ /* beginning of action switch */
			case 0: /* must back up */
			/* undo the effects of YY_DO_BEFORE_ACTION */
			*yy_cp = yy_hold_char;
			yy_cp = yy_last_accepting_cpos;
			yy_current_state = yy_last_accepting_state;
			goto yy_find_action;

case 1:
YY_RULE_SETUP
#line 34 "ifm-scan.l"
/* Ignore comments */
	YY_BREAK
case 2:
YY_RULE_SETUP
#line 36 "ifm-scan.l"
/* Strip whitespace */
	YY_BREAK
case 3:
YY_RULE_SETUP
#line 38 "ifm-scan.l"
{
    line_number++;
}
	YY_BREAK
case 4:
YY_RULE_SETUP
#line 42 "ifm-scan.l"
{
    /* Quoted string */

    int c, quote = 0, eatspace = 0;

    /* Initialise buffer */
    if (sbuf == NULL)
        sbuf = vb_create();
    else
        vb_empty(sbuf);

    /* Slurp string in, one char at a time */
    while (1) {
        c = input();

        if        (c == EOF) {
            yyerror("unterminated string");
            break;
        } else if (c == '"' && !quote) {
            break;
        } else if (c == '\\' && !quote) {
            quote = 1;
            continue;
        } else if (c == '\n') {
            vb_putc(sbuf, ' ');
            eatspace = 1;
            line_number++;
        } else if (!eatspace || !isspace(c)) {
            vb_putc(sbuf, c);
        }

        if (!isspace(c))
            eatspace = 0;

        quote = 0;
    }

    yylval.sval = vb_getcopy(sbuf);
    return STRING;
}
	YY_BREAK
case 5:
YY_RULE_SETUP
#line 83 "ifm-scan.l"
{ return AFTER; }
	YY_BREAK
case 6:
YY_RULE_SETUP
#line 84 "ifm-scan.l"
{ return ALL; }
	YY_BREAK
case 7:
YY_RULE_SETUP
#line 85 "ifm-scan.l"
{ return ANY; }
	YY_BREAK
case 8:
YY_RULE_SETUP
#line 86 "ifm-scan.l"
{ return BEFORE; }
	YY_BREAK
case 9:
YY_RULE_SETUP
#line 87 "ifm-scan.l"
{ return CMD; }
	YY_BREAK
case 10:
YY_RULE_SETUP
#line 88 "ifm-scan.l"
{ return DOWN; }
	YY_BREAK
case 11:
YY_RULE_SETUP
#line 89 "ifm-scan.l"
{ return DIR; }
	YY_BREAK
case 12:
YY_RULE_SETUP
#line 90 "ifm-scan.l"
{ return DO; }
	YY_BREAK
case 13:
YY_RULE_SETUP
#line 91 "ifm-scan.l"
{ return DOWN; }
	YY_BREAK
case 14:
YY_RULE_SETUP
#line 92 "ifm-scan.l"
{ return DROP; }
	YY_BREAK
case 15:
YY_RULE_SETUP
#line 93 "ifm-scan.l"
{ return EAST; }
	YY_BREAK
case 16:
YY_RULE_SETUP
#line 94 "ifm-scan.l"
{ return EAST; }
	YY_BREAK
case 17:
YY_RULE_SETUP
#line 95 "ifm-scan.l"
{ return ENDSTYLE; }
	YY_BREAK
case 18:
YY_RULE_SETUP
#line 96 "ifm-scan.l"
{ return EXCEPT; }
	YY_BREAK
case 19:
YY_RULE_SETUP
#line 97 "ifm-scan.l"
{ return EXIT; }
	YY_BREAK
case 20:
YY_RULE_SETUP
#line 98 "ifm-scan.l"
{ return FINISH; }
	YY_BREAK
case 21:
YY_RULE_SETUP
#line 99 "ifm-scan.l"
{ return FOLLOW; }
	YY_BREAK
case 22:
YY_RULE_SETUP
#line 100 "ifm-scan.l"
{ return FROM; }
	YY_BREAK
case 23:
YY_RULE_SETUP
#line 101 "ifm-scan.l"
{ return GET; }
	YY_BREAK
case 24:
YY_RULE_SETUP
#line 102 "ifm-scan.l"
{ return GIVE; }
	YY_BREAK
case 25:
YY_RULE_SETUP
#line 103 "ifm-scan.l"
{ return GIVEN; }
	YY_BREAK
case 26:
YY_RULE_SETUP
#line 104 "ifm-scan.l"
{ return GO; }
	YY_BREAK
case 27:
YY_RULE_SETUP
#line 105 "ifm-scan.l"
{ return GOTO; }
	YY_BREAK
case 28:
YY_RULE_SETUP
#line 106 "ifm-scan.l"
{ return HIDDEN; }
	YY_BREAK
case 29:
YY_RULE_SETUP
#line 107 "ifm-scan.l"
{ return IGNORE; }
	YY_BREAK
case 30:
YY_RULE_SETUP
#line 108 "ifm-scan.l"
{ return IN; }
	YY_BREAK
case 31:
YY_RULE_SETUP
#line 109 "ifm-scan.l"
{ return IT; }
	YY_BREAK
case 32:
YY_RULE_SETUP
#line 110 "ifm-scan.l"
{ return ITEM; }
	YY_BREAK
case 33:
YY_RULE_SETUP
#line 111 "ifm-scan.l"
{ return JOIN; }
	YY_BREAK
case 34:
YY_RULE_SETUP
#line 112 "ifm-scan.l"
{ return KEEP; }
	YY_BREAK
case 35:
YY_RULE_SETUP
#line 113 "ifm-scan.l"
{ return LAST; }
	YY_BREAK
case 36:
YY_RULE_SETUP
#line 114 "ifm-scan.l"
{ return LEAVE; }
	YY_BREAK
case 37:
YY_RULE_SETUP
#line 115 "ifm-scan.l"
{ return LENGTH; }
	YY_BREAK
case 38:
YY_RULE_SETUP
#line 116 "ifm-scan.l"
{ return LINK; }
	YY_BREAK
case 39:
YY_RULE_SETUP
#line 117 "ifm-scan.l"
{ return LOSE; }
	YY_BREAK
case 40:
YY_RULE_SETUP
#line 118 "ifm-scan.l"
{ return LOST; }
	YY_BREAK
case 41:
YY_RULE_SETUP
#line 119 "ifm-scan.l"
{ return MAP; }
	YY_BREAK
case 42:
YY_RULE_SETUP
#line 120 "ifm-scan.l"
{ return NORTH; }
	YY_BREAK
case 43:
YY_RULE_SETUP
#line 121 "ifm-scan.l"
{ return NORTHEAST; }
	YY_BREAK
case 44:
YY_RULE_SETUP
#line 122 "ifm-scan.l"
{ return NEED; }
	YY_BREAK
case 45:
YY_RULE_SETUP
#line 123 "ifm-scan.l"
{ return NODROP; }
	YY_BREAK
case 46:
YY_RULE_SETUP
#line 124 "ifm-scan.l"
{ return NOLINK; }
	YY_BREAK
case 47:
YY_RULE_SETUP
#line 125 "ifm-scan.l"
{ return NOPATH; }
	YY_BREAK
case 48:
YY_RULE_SETUP
#line 126 "ifm-scan.l"
{ return NONE; }
	YY_BREAK
case 49:
YY_RULE_SETUP
#line 127 "ifm-scan.l"
{ return NORTH; }
	YY_BREAK
case 50:
YY_RULE_SETUP
#line 128 "ifm-scan.l"
{ return NORTHEAST; }
	YY_BREAK
case 51:
YY_RULE_SETUP
#line 129 "ifm-scan.l"
{ return NORTHWEST; }
	YY_BREAK
case 52:
YY_RULE_SETUP
#line 130 "ifm-scan.l"
{ return NOTE; }
	YY_BREAK
case 53:
YY_RULE_SETUP
#line 131 "ifm-scan.l"
{ return NORTHWEST; }
	YY_BREAK
case 54:
YY_RULE_SETUP
#line 132 "ifm-scan.l"
{ return ONEWAY; }
	YY_BREAK
case 55:
YY_RULE_SETUP
#line 133 "ifm-scan.l"
{ return OUT; }
	YY_BREAK
case 56:
YY_RULE_SETUP
#line 134 "ifm-scan.l"
{ return REQUIRE; }
	YY_BREAK
case 57:
YY_RULE_SETUP
#line 135 "ifm-scan.l"
{ return ROOM; }
	YY_BREAK
case 58:
YY_RULE_SETUP
#line 136 "ifm-scan.l"
{ return SOUTH; }
	YY_BREAK
case 59:
YY_RULE_SETUP
#line 137 "ifm-scan.l"
{ return SAFE; }
	YY_BREAK
case 60:
YY_RULE_SETUP
#line 138 "ifm-scan.l"
{ return SCORE; }
	YY_BREAK
case 61:
YY_RULE_SETUP
#line 139 "ifm-scan.l"
{ return SOUTHEAST; }
	YY_BREAK
case 62:
YY_RULE_SETUP
#line 140 "ifm-scan.l"
{ return SOUTH; }
	YY_BREAK
case 63:
YY_RULE_SETUP
#line 141 "ifm-scan.l"
{ return SOUTHEAST; }
	YY_BREAK
case 64:
YY_RULE_SETUP
#line 142 "ifm-scan.l"
{ return SOUTHWEST; }
	YY_BREAK
case 65:
YY_RULE_SETUP
#line 143 "ifm-scan.l"
{ return START; }
	YY_BREAK
case 66:
YY_RULE_SETUP
#line 144 "ifm-scan.l"
{ return STYLE; }
	YY_BREAK
case 67:
YY_RULE_SETUP
#line 145 "ifm-scan.l"
{ return SOUTHWEST; }
	YY_BREAK
case 68:
YY_RULE_SETUP
#line 146 "ifm-scan.l"
{ return TAG; }
	YY_BREAK
case 69:
YY_RULE_SETUP
#line 147 "ifm-scan.l"
{ return TASK; }
	YY_BREAK
case 70:
YY_RULE_SETUP
#line 148 "ifm-scan.l"
{ return TIMES; }
	YY_BREAK
case 71:
YY_RULE_SETUP
#line 149 "ifm-scan.l"
{ return TITLE; }
	YY_BREAK
case 72:
YY_RULE_SETUP
#line 150 "ifm-scan.l"
{ return TO; }
	YY_BREAK
case 73:
YY_RULE_SETUP
#line 151 "ifm-scan.l"
{ return UP; }
	YY_BREAK
case 74:
YY_RULE_SETUP
#line 152 "ifm-scan.l"
{ return UNDEF; }
	YY_BREAK
case 75:
YY_RULE_SETUP
#line 153 "ifm-scan.l"
{ return UNTIL; }
	YY_BREAK
case 76:
YY_RULE_SETUP
#line 154 "ifm-scan.l"
{ return UP; }
	YY_BREAK
case 77:
YY_RULE_SETUP
#line 155 "ifm-scan.l"
{ return WEST; }
	YY_BREAK
case 78:
YY_RULE_SETUP
#line 156 "ifm-scan.l"
{ return WEST; }
	YY_BREAK
case 79:
YY_RULE_SETUP
#line 157 "ifm-scan.l"
{ return WITH; }
	YY_BREAK
case 80:
YY_RULE_SETUP
#line 159 "ifm-scan.l"
{
    yylval.sval = v_strdup(yytext);
    return ID;
}
	YY_BREAK
case 81:
YY_RULE_SETUP
#line 164 "ifm-scan.l"
{
    yylval.sval = v_strdup(yytext);
    return ID;
}
	YY_BREAK
case 82:
YY_RULE_SETUP
#line 169 "ifm-scan.l"
{
    yylval.dval = atof(yytext);
    return REAL;
}
	YY_BREAK
case 83:
YY_RULE_SETUP
#line 174 "ifm-scan.l"
{
    yylval.ival = atoi(yytext);
    return INTEGER;
}
	YY_BREAK
case 84:
YY_RULE_SETUP
#line 179 "ifm-scan.l"
{ return yytext[0]; }
	YY_BREAK
case 85:
YY_RULE_SETUP
#line 181 "ifm-scan.l"
ECHO;
	YY_BREAK
#line 1292 "ifm-scan.c"
case YY_STATE_EOF(INITIAL):
	yyterminate();

	case YY_END_OF_BUFFER:
		{
		/* Amount of text matched not including the EOB char. */
		int yy_amount_of_matched_text = (int) (yy_cp - yytext_ptr) - 1;

		/* Undo the effects of YY_DO_BEFORE_ACTION. */
		*yy_cp = yy_hold_char;
		YY_RESTORE_YY_MORE_OFFSET

		if ( yy_current_buffer->yy_buffer_status == YY_BUFFER_NEW )
			{
			/* We're scanning a new file or input source.  It's
			 * possible that this happened because the user
			 * just pointed yyin at a new source and called
			 * yylex().  If so, then we have to assure
			 * consistency between yy_current_buffer and our
			 * globals.  Here is the right place to do so, because
			 * this is the first action (other than possibly a
			 * back-up) that will match for the new input source.
			 */
			yy_n_chars = yy_current_buffer->yy_n_chars;
			yy_current_buffer->yy_input_file = yyin;
			yy_current_buffer->yy_buffer_status = YY_BUFFER_NORMAL;
			}

		/* Note that here we test for yy_c_buf_p "<=" to the position
		 * of the first EOB in the buffer, since yy_c_buf_p will
		 * already have been incremented past the NUL character
		 * (since all states make transitions on EOB to the
		 * end-of-buffer state).  Contrast this with the test
		 * in input().
		 */
		if ( yy_c_buf_p <= &yy_current_buffer->yy_ch_buf[yy_n_chars] )
			{ /* This was really a NUL. */
			yy_state_type yy_next_state;

			yy_c_buf_p = yytext_ptr + yy_amount_of_matched_text;

			yy_current_state = yy_get_previous_state();

			/* Okay, we're now positioned to make the NUL
			 * transition.  We couldn't have
			 * yy_get_previous_state() go ahead and do it
			 * for us because it doesn't know how to deal
			 * with the possibility of jamming (and we don't
			 * want to build jamming into it because then it
			 * will run more slowly).
			 */

			yy_next_state = yy_try_NUL_trans( yy_current_state );

			yy_bp = yytext_ptr + YY_MORE_ADJ;

			if ( yy_next_state )
				{
				/* Consume the NUL. */
				yy_cp = ++yy_c_buf_p;
				yy_current_state = yy_next_state;
				goto yy_match;
				}

			else
				{
				yy_cp = yy_c_buf_p;
				goto yy_find_action;
				}
			}

		else switch ( yy_get_next_buffer() )
			{
			case EOB_ACT_END_OF_FILE:
				{
				yy_did_buffer_switch_on_eof = 0;

				if ( yywrap() )
					{
					/* Note: because we've taken care in
					 * yy_get_next_buffer() to have set up
					 * yytext, we can now set up
					 * yy_c_buf_p so that if some total
					 * hoser (like flex itself) wants to
					 * call the scanner after we return the
					 * YY_NULL, it'll still work - another
					 * YY_NULL will get returned.
					 */
					yy_c_buf_p = yytext_ptr + YY_MORE_ADJ;

					yy_act = YY_STATE_EOF(YY_START);
					goto do_action;
					}

				else
					{
					if ( ! yy_did_buffer_switch_on_eof )
						YY_NEW_FILE;
					}
				break;
				}

			case EOB_ACT_CONTINUE_SCAN:
				yy_c_buf_p =
					yytext_ptr + yy_amount_of_matched_text;

				yy_current_state = yy_get_previous_state();

				yy_cp = yy_c_buf_p;
				yy_bp = yytext_ptr + YY_MORE_ADJ;
				goto yy_match;

			case EOB_ACT_LAST_MATCH:
				yy_c_buf_p =
				&yy_current_buffer->yy_ch_buf[yy_n_chars];

				yy_current_state = yy_get_previous_state();

				yy_cp = yy_c_buf_p;
				yy_bp = yytext_ptr + YY_MORE_ADJ;
				goto yy_find_action;
			}
		break;
		}

	default:
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	} /* end of action switch */
		} /* end of scanning one token */
	} /* end of yylex */


/* yy_get_next_buffer - try to read in a new buffer
 *
 * Returns a code representing an action:
 *	EOB_ACT_LAST_MATCH -
 *	EOB_ACT_CONTINUE_SCAN - continue scanning from current position
 *	EOB_ACT_END_OF_FILE - end of file
 */

static int yy_get_next_buffer()
	{
	register char *dest = yy_current_buffer->yy_ch_buf;
	register char *source = yytext_ptr;
	register int number_to_move, i;
	int ret_val;

	if ( yy_c_buf_p > &yy_current_buffer->yy_ch_buf[yy_n_chars + 1] )
		YY_FATAL_ERROR(
		"fatal flex scanner internal error--end of buffer missed" );

	if ( yy_current_buffer->yy_fill_buffer == 0 )
		{ /* Don't try to fill the buffer, so this is an EOF. */
		if ( yy_c_buf_p - yytext_ptr - YY_MORE_ADJ == 1 )
			{
			/* We matched a single character, the EOB, so
			 * treat this as a final EOF.
			 */
			return EOB_ACT_END_OF_FILE;
			}

		else
			{
			/* We matched some text prior to the EOB, first
			 * process it.
			 */
			return EOB_ACT_LAST_MATCH;
			}
		}

	/* Try to read more data. */

	/* First move last chars to start of buffer. */
	number_to_move = (int) (yy_c_buf_p - yytext_ptr) - 1;

	for ( i = 0; i < number_to_move; ++i )
		*(dest++) = *(source++);

	if ( yy_current_buffer->yy_buffer_status == YY_BUFFER_EOF_PENDING )
		/* don't do the read, it's not guaranteed to return an EOF,
		 * just force an EOF
		 */
		yy_current_buffer->yy_n_chars = yy_n_chars = 0;

	else
		{
		int num_to_read =
			yy_current_buffer->yy_buf_size - number_to_move - 1;

		while ( num_to_read <= 0 )
			{ /* Not enough room in the buffer - grow it. */
#ifdef YY_USES_REJECT
			YY_FATAL_ERROR(
"input buffer overflow, can't enlarge buffer because scanner uses REJECT" );
#else

			/* just a shorter name for the current buffer */
			YY_BUFFER_STATE b = yy_current_buffer;

			int yy_c_buf_p_offset =
				(int) (yy_c_buf_p - b->yy_ch_buf);

			if ( b->yy_is_our_buffer )
				{
				int new_size = b->yy_buf_size * 2;

				if ( new_size <= 0 )
					b->yy_buf_size += b->yy_buf_size / 8;
				else
					b->yy_buf_size *= 2;

				b->yy_ch_buf = (char *)
					/* Include room in for 2 EOB chars. */
					yy_flex_realloc( (void *) b->yy_ch_buf,
							 b->yy_buf_size + 2 );
				}
			else
				/* Can't grow it, we don't own it. */
				b->yy_ch_buf = 0;

			if ( ! b->yy_ch_buf )
				YY_FATAL_ERROR(
				"fatal error - scanner input buffer overflow" );

			yy_c_buf_p = &b->yy_ch_buf[yy_c_buf_p_offset];

			num_to_read = yy_current_buffer->yy_buf_size -
						number_to_move - 1;
#endif
			}

		if ( num_to_read > YY_READ_BUF_SIZE )
			num_to_read = YY_READ_BUF_SIZE;

		/* Read in more data. */
		YY_INPUT( (&yy_current_buffer->yy_ch_buf[number_to_move]),
			yy_n_chars, num_to_read );

		yy_current_buffer->yy_n_chars = yy_n_chars;
		}

	if ( yy_n_chars == 0 )
		{
		if ( number_to_move == YY_MORE_ADJ )
			{
			ret_val = EOB_ACT_END_OF_FILE;
			yyrestart( yyin );
			}

		else
			{
			ret_val = EOB_ACT_LAST_MATCH;
			yy_current_buffer->yy_buffer_status =
				YY_BUFFER_EOF_PENDING;
			}
		}

	else
		ret_val = EOB_ACT_CONTINUE_SCAN;

	yy_n_chars += number_to_move;
	yy_current_buffer->yy_ch_buf[yy_n_chars] = YY_END_OF_BUFFER_CHAR;
	yy_current_buffer->yy_ch_buf[yy_n_chars + 1] = YY_END_OF_BUFFER_CHAR;

	yytext_ptr = &yy_current_buffer->yy_ch_buf[0];

	return ret_val;
	}


/* yy_get_previous_state - get the state just before the EOB char was reached */

static yy_state_type yy_get_previous_state()
	{
	register yy_state_type yy_current_state;
	register char *yy_cp;

	yy_current_state = yy_start;

	for ( yy_cp = yytext_ptr + YY_MORE_ADJ; yy_cp < yy_c_buf_p; ++yy_cp )
		{
		register YY_CHAR yy_c = (*yy_cp ? yy_ec[YY_SC_TO_UI(*yy_cp)] : 1);
		if ( yy_accept[yy_current_state] )
			{
			yy_last_accepting_state = yy_current_state;
			yy_last_accepting_cpos = yy_cp;
			}
		while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
			{
			yy_current_state = (int) yy_def[yy_current_state];
			if ( yy_current_state >= 246 )
				yy_c = yy_meta[(unsigned int) yy_c];
			}
		yy_current_state = yy_nxt[yy_base[yy_current_state] + (unsigned int) yy_c];
		}

	return yy_current_state;
	}


/* yy_try_NUL_trans - try to make a transition on the NUL character
 *
 * synopsis
 *	next_state = yy_try_NUL_trans( current_state );
 */

#ifdef YY_USE_PROTOS
static yy_state_type yy_try_NUL_trans( yy_state_type yy_current_state )
#else
static yy_state_type yy_try_NUL_trans( yy_current_state )
yy_state_type yy_current_state;
#endif
	{
	register int yy_is_jam;
	register char *yy_cp = yy_c_buf_p;

	register YY_CHAR yy_c = 1;
	if ( yy_accept[yy_current_state] )
		{
		yy_last_accepting_state = yy_current_state;
		yy_last_accepting_cpos = yy_cp;
		}
	while ( yy_chk[yy_base[yy_current_state] + yy_c] != yy_current_state )
		{
		yy_current_state = (int) yy_def[yy_current_state];
		if ( yy_current_state >= 246 )
			yy_c = yy_meta[(unsigned int) yy_c];
		}
	yy_current_state = yy_nxt[yy_base[yy_current_state] + (unsigned int) yy_c];
	yy_is_jam = (yy_current_state == 245);

	return yy_is_jam ? 0 : yy_current_state;
	}


#ifndef YY_NO_UNPUT
#ifdef YY_USE_PROTOS
static void yyunput( int c, register char *yy_bp )
#else
static void yyunput( c, yy_bp )
int c;
register char *yy_bp;
#endif
	{
	register char *yy_cp = yy_c_buf_p;

	/* undo effects of setting up yytext */
	*yy_cp = yy_hold_char;

	if ( yy_cp < yy_current_buffer->yy_ch_buf + 2 )
		{ /* need to shift things up to make room */
		/* +2 for EOB chars. */
		register int number_to_move = yy_n_chars + 2;
		register char *dest = &yy_current_buffer->yy_ch_buf[
					yy_current_buffer->yy_buf_size + 2];
		register char *source =
				&yy_current_buffer->yy_ch_buf[number_to_move];

		while ( source > yy_current_buffer->yy_ch_buf )
			*--dest = *--source;

		yy_cp += (int) (dest - source);
		yy_bp += (int) (dest - source);
		yy_current_buffer->yy_n_chars =
			yy_n_chars = yy_current_buffer->yy_buf_size;

		if ( yy_cp < yy_current_buffer->yy_ch_buf + 2 )
			YY_FATAL_ERROR( "flex scanner push-back overflow" );
		}

	*--yy_cp = (char) c;


	yytext_ptr = yy_bp;
	yy_hold_char = *yy_cp;
	yy_c_buf_p = yy_cp;
	}
#endif	/* ifndef YY_NO_UNPUT */


#ifdef __cplusplus
static int yyinput()
#else
static int input()
#endif
	{
	int c;

	*yy_c_buf_p = yy_hold_char;

	if ( *yy_c_buf_p == YY_END_OF_BUFFER_CHAR )
		{
		/* yy_c_buf_p now points to the character we want to return.
		 * If this occurs *before* the EOB characters, then it's a
		 * valid NUL; if not, then we've hit the end of the buffer.
		 */
		if ( yy_c_buf_p < &yy_current_buffer->yy_ch_buf[yy_n_chars] )
			/* This was really a NUL. */
			*yy_c_buf_p = '\0';

		else
			{ /* need more input */
			int offset = yy_c_buf_p - yytext_ptr;
			++yy_c_buf_p;

			switch ( yy_get_next_buffer() )
				{
				case EOB_ACT_LAST_MATCH:
					/* This happens because yy_g_n_b()
					 * sees that we've accumulated a
					 * token and flags that we need to
					 * try matching the token before
					 * proceeding.  But for input(),
					 * there's no matching to consider.
					 * So convert the EOB_ACT_LAST_MATCH
					 * to EOB_ACT_END_OF_FILE.
					 */

					/* Reset buffer status. */
					yyrestart( yyin );

					/* fall through */

				case EOB_ACT_END_OF_FILE:
					{
					if ( yywrap() )
						return EOF;

					if ( ! yy_did_buffer_switch_on_eof )
						YY_NEW_FILE;
#ifdef __cplusplus
					return yyinput();
#else
					return input();
#endif
					}

				case EOB_ACT_CONTINUE_SCAN:
					yy_c_buf_p = yytext_ptr + offset;
					break;
				}
			}
		}

	c = *(unsigned char *) yy_c_buf_p;	/* cast for 8-bit char's */
	*yy_c_buf_p = '\0';	/* preserve yytext */
	yy_hold_char = *++yy_c_buf_p;


	return c;
	}


#ifdef YY_USE_PROTOS
void yyrestart( FILE *input_file )
#else
void yyrestart( input_file )
FILE *input_file;
#endif
	{
	if ( ! yy_current_buffer )
		yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE );

	yy_init_buffer( yy_current_buffer, input_file );
	yy_load_buffer_state();
	}


#ifdef YY_USE_PROTOS
void yy_switch_to_buffer( YY_BUFFER_STATE new_buffer )
#else
void yy_switch_to_buffer( new_buffer )
YY_BUFFER_STATE new_buffer;
#endif
	{
	if ( yy_current_buffer == new_buffer )
		return;

	if ( yy_current_buffer )
		{
		/* Flush out information for old buffer. */
		*yy_c_buf_p = yy_hold_char;
		yy_current_buffer->yy_buf_pos = yy_c_buf_p;
		yy_current_buffer->yy_n_chars = yy_n_chars;
		}

	yy_current_buffer = new_buffer;
	yy_load_buffer_state();

	/* We don't actually know whether we did this switch during
	 * EOF (yywrap()) processing, but the only time this flag
	 * is looked at is after yywrap() is called, so it's safe
	 * to go ahead and always set it.
	 */
	yy_did_buffer_switch_on_eof = 1;
	}


#ifdef YY_USE_PROTOS
void yy_load_buffer_state( void )
#else
void yy_load_buffer_state()
#endif
	{
	yy_n_chars = yy_current_buffer->yy_n_chars;
	yytext_ptr = yy_c_buf_p = yy_current_buffer->yy_buf_pos;
	yyin = yy_current_buffer->yy_input_file;
	yy_hold_char = *yy_c_buf_p;
	}


#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_create_buffer( FILE *file, int size )
#else
YY_BUFFER_STATE yy_create_buffer( file, size )
FILE *file;
int size;
#endif
	{
	YY_BUFFER_STATE b;

	b = (YY_BUFFER_STATE) yy_flex_alloc( sizeof( struct yy_buffer_state ) );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_buf_size = size;

	/* yy_ch_buf has to be 2 characters longer than the size given because
	 * we need to put in 2 end-of-buffer characters.
	 */
	b->yy_ch_buf = (char *) yy_flex_alloc( b->yy_buf_size + 2 );
	if ( ! b->yy_ch_buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_is_our_buffer = 1;

	yy_init_buffer( b, file );

	return b;
	}


#ifdef YY_USE_PROTOS
void yy_delete_buffer( YY_BUFFER_STATE b )
#else
void yy_delete_buffer( b )
YY_BUFFER_STATE b;
#endif
	{
	if ( ! b )
		return;

	if ( b == yy_current_buffer )
		yy_current_buffer = (YY_BUFFER_STATE) 0;

	if ( b->yy_is_our_buffer )
		yy_flex_free( (void *) b->yy_ch_buf );

	yy_flex_free( (void *) b );
	}


#ifndef YY_ALWAYS_INTERACTIVE
#ifndef YY_NEVER_INTERACTIVE
extern int isatty YY_PROTO(( int ));
#endif
#endif

#ifdef YY_USE_PROTOS
void yy_init_buffer( YY_BUFFER_STATE b, FILE *file )
#else
void yy_init_buffer( b, file )
YY_BUFFER_STATE b;
FILE *file;
#endif


	{
	yy_flush_buffer( b );

	b->yy_input_file = file;
	b->yy_fill_buffer = 1;

#if YY_ALWAYS_INTERACTIVE
	b->yy_is_interactive = 1;
#else
#if YY_NEVER_INTERACTIVE
	b->yy_is_interactive = 0;
#else
	b->yy_is_interactive = file ? (isatty( fileno(file) ) > 0) : 0;
#endif
#endif
	}


#ifdef YY_USE_PROTOS
void yy_flush_buffer( YY_BUFFER_STATE b )
#else
void yy_flush_buffer( b )
YY_BUFFER_STATE b;
#endif

	{
	if ( ! b )
		return;

	b->yy_n_chars = 0;

	/* We always need two end-of-buffer characters.  The first causes
	 * a transition to the end-of-buffer state.  The second causes
	 * a jam in that state.
	 */
	b->yy_ch_buf[0] = YY_END_OF_BUFFER_CHAR;
	b->yy_ch_buf[1] = YY_END_OF_BUFFER_CHAR;

	b->yy_buf_pos = &b->yy_ch_buf[0];

	b->yy_at_bol = 1;
	b->yy_buffer_status = YY_BUFFER_NEW;

	if ( b == yy_current_buffer )
		yy_load_buffer_state();
	}


#ifndef YY_NO_SCAN_BUFFER
#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_scan_buffer( char *base, yy_size_t size )
#else
YY_BUFFER_STATE yy_scan_buffer( base, size )
char *base;
yy_size_t size;
#endif
	{
	YY_BUFFER_STATE b;

	if ( size < 2 ||
	     base[size-2] != YY_END_OF_BUFFER_CHAR ||
	     base[size-1] != YY_END_OF_BUFFER_CHAR )
		/* They forgot to leave room for the EOB's. */
		return 0;

	b = (YY_BUFFER_STATE) yy_flex_alloc( sizeof( struct yy_buffer_state ) );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_buffer()" );

	b->yy_buf_size = size - 2;	/* "- 2" to take care of EOB's */
	b->yy_buf_pos = b->yy_ch_buf = base;
	b->yy_is_our_buffer = 0;
	b->yy_input_file = 0;
	b->yy_n_chars = b->yy_buf_size;
	b->yy_is_interactive = 0;
	b->yy_at_bol = 1;
	b->yy_fill_buffer = 0;
	b->yy_buffer_status = YY_BUFFER_NEW;

	yy_switch_to_buffer( b );

	return b;
	}
#endif


#ifndef YY_NO_SCAN_STRING
#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_scan_string( yyconst char *yy_str )
#else
YY_BUFFER_STATE yy_scan_string( yy_str )
yyconst char *yy_str;
#endif
	{
	int len;
	for ( len = 0; yy_str[len]; ++len )
		;

	return yy_scan_bytes( yy_str, len );
	}
#endif


#ifndef YY_NO_SCAN_BYTES
#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_scan_bytes( yyconst char *bytes, int len )
#else
YY_BUFFER_STATE yy_scan_bytes( bytes, len )
yyconst char *bytes;
int len;
#endif
	{
	YY_BUFFER_STATE b;
	char *buf;
	yy_size_t n;
	int i;

	/* Get memory for full buffer, including space for trailing EOB's. */
	n = len + 2;
	buf = (char *) yy_flex_alloc( n );
	if ( ! buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_bytes()" );

	for ( i = 0; i < len; ++i )
		buf[i] = bytes[i];

	buf[len] = buf[len+1] = YY_END_OF_BUFFER_CHAR;

	b = yy_scan_buffer( buf, n );
	if ( ! b )
		YY_FATAL_ERROR( "bad buffer in yy_scan_bytes()" );

	/* It's okay to grow etc. this buffer, and we should throw it
	 * away when we're done.
	 */
	b->yy_is_our_buffer = 1;

	return b;
	}
#endif


#ifndef YY_NO_PUSH_STATE
#ifdef YY_USE_PROTOS
static void yy_push_state( int new_state )
#else
static void yy_push_state( new_state )
int new_state;
#endif
	{
	if ( yy_start_stack_ptr >= yy_start_stack_depth )
		{
		yy_size_t new_size;

		yy_start_stack_depth += YY_START_STACK_INCR;
		new_size = yy_start_stack_depth * sizeof( int );

		if ( ! yy_start_stack )
			yy_start_stack = (int *) yy_flex_alloc( new_size );

		else
			yy_start_stack = (int *) yy_flex_realloc(
					(void *) yy_start_stack, new_size );

		if ( ! yy_start_stack )
			YY_FATAL_ERROR(
			"out of memory expanding start-condition stack" );
		}

	yy_start_stack[yy_start_stack_ptr++] = YY_START;

	BEGIN(new_state);
	}
#endif


#ifndef YY_NO_POP_STATE
static void yy_pop_state()
	{
	if ( --yy_start_stack_ptr < 0 )
		YY_FATAL_ERROR( "start-condition stack underflow" );

	BEGIN(yy_start_stack[yy_start_stack_ptr]);
	}
#endif


#ifndef YY_NO_TOP_STATE
static int yy_top_state()
	{
	return yy_start_stack[yy_start_stack_ptr - 1];
	}
#endif

#ifndef YY_EXIT_FAILURE
#define YY_EXIT_FAILURE 2
#endif

#ifdef YY_USE_PROTOS
static void yy_fatal_error( yyconst char msg[] )
#else
static void yy_fatal_error( msg )
char msg[];
#endif
	{
	(void) fprintf( stderr, "%s\n", msg );
	exit( YY_EXIT_FAILURE );
	}



/* Redefine yyless() so it works in section 3 code. */

#undef yyless
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
		yytext[yyleng] = yy_hold_char; \
		yy_c_buf_p = yytext + n; \
		yy_hold_char = *yy_c_buf_p; \
		*yy_c_buf_p = '\0'; \
		yyleng = n; \
		} \
	while ( 0 )


/* Internal utility routines. */

#ifndef yytext_ptr
#ifdef YY_USE_PROTOS
static void yy_flex_strncpy( char *s1, yyconst char *s2, int n )
#else
static void yy_flex_strncpy( s1, s2, n )
char *s1;
yyconst char *s2;
int n;
#endif
	{
	register int i;
	for ( i = 0; i < n; ++i )
		s1[i] = s2[i];
	}
#endif

#ifdef YY_NEED_STRLEN
#ifdef YY_USE_PROTOS
static int yy_flex_strlen( yyconst char *s )
#else
static int yy_flex_strlen( s )
yyconst char *s;
#endif
	{
	register int n;
	for ( n = 0; s[n]; ++n )
		;

	return n;
	}
#endif


#ifdef YY_USE_PROTOS
static void *yy_flex_alloc( yy_size_t size )
#else
static void *yy_flex_alloc( size )
yy_size_t size;
#endif
	{
	return (void *) malloc( size );
	}

#ifdef YY_USE_PROTOS
static void *yy_flex_realloc( void *ptr, yy_size_t size )
#else
static void *yy_flex_realloc( ptr, size )
void *ptr;
yy_size_t size;
#endif
	{
	/* The cast to (char *) in the following accommodates both
	 * implementations that use char* generic pointers, and those
	 * that use void* generic pointers.  It works with the latter
	 * because both ANSI C and C++ allow castless assignment from
	 * any pointer type to void*, and deal with argument conversions
	 * as though doing an assignment.
	 */
	return (void *) realloc( (char *) ptr, size );
	}

#ifdef YY_USE_PROTOS
static void yy_flex_free( void *ptr )
#else
static void yy_flex_free( ptr )
void *ptr;
#endif
	{
	free( ptr );
	}

#if YY_MAIN
int main()
	{
	yylex();
	return 0;
	}
#endif
#line 181 "ifm-scan.l"

