/* Noddy Vars calculator */

#include <stdio.h>
#include <unistd.h>
#include <math.h>
#include <vars.h>

#define EVAL(p, input) do {                                             \
    if (vp_eval(p, input))                                              \
        printf("%g\n", vp_dvalue(p));                                   \
    else                                                                \
        printf("%s\n", vp_error(p));                                    \
} while (0)

int
main(void)
{
    char *input;
    vbuffer *b;
    vparser *p;
    int i;

    p = vp_create();
    b = vb_create();

    if (isatty(0)) {
        while (1) {
            printf("vcalc: ");
            if ((input = vb_fgets(b, stdin)) != NULL)
                EVAL(p, input);
            else
                break;
        }
    } else {
        input = vb_fscan(b, NULL, stdin);
        EVAL(p, input);
    }

    return 0;
}
