/* Vartype functions */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <vars.h>
#include "vars-vartype.h"

/* Type definition */
struct v_vartype {
    struct v_header id;         /* Type marker */

    /* Rest of struct goes here */
};

/* Type variable */
vtype *vvartype_type = NULL;

/* Return a copy of a vartype */
vvartype *
vvarcode_copy(vvartype *var)
{
    vvartype *copy;

    VVARCODE_CHECK(var);

    /* Do the copying here */
    v_fatal("vvarcode_copy(): not implemented yet");

    return copy;
}

/* Return a newly-created vartype */
vvartype *
vvarcode_create(void)
{
    static vheader *id = NULL;
    vvartype *var;

    if (id == NULL) {
        vvarcode_declare();
        id = v_header(vvartype_type);
    }

    var = V_ALLOC(vvartype, 1);
    var->id = *id;

    /* Fill in rest of structure here */

    return var;
}

/* Declare vartype type */
vtype *
vvarcode_declare(void)
{
    if (vvartype_type == NULL) {
        vvartype_type = v_create("VARTYPE", "VARCODE");
        v_create_func(vvartype_type, (void *(*)()) vvarcode_create);
        v_copy_func(vvartype_type, (void *(*)()) vvarcode_copy);
        v_next_func(vvartype_type, vvarcode_next);
        v_read_func(vvartype_type, (void *(*)()) vvarcode_read);
        v_write_func(vvartype_type, vvarcode_write);
        v_freeze_func(vvartype_type, vvarcode_freeze);
        v_thaw_func(vvartype_type, (void *(*)()) vvarcode_thaw);
        v_print_func(vvartype_type, vvarcode_print);
        v_destroy_func(vvartype_type, vvarcode_destroy);
        v_traverse_func(vvartype_type, vvarcode_traverse);
    }

    return vvartype_type;
}

/* Deallocate a vartype */
void
vvarcode_destroy(vvartype *var)
{
    VVARCODE_CHECK(var);

    /* Destroy any internals here */

    V_DEALLOC(var);
}

/* Freeze vartype to a stream */
int
vvarcode_freeze(vvartype *var, FILE *fp)
{
    VVARCODE_CHECK(var);

    /* Do the freezing here */
    v_fatal("vvarcode_freeze(): not implemented yet");

    return 1;
}

/* Iterate over a vartype */
int
vvarcode_next(viter *iter)
{
    vvartype *var = iter->object;

    /* Do the iteration here */
    v_fatal("vvarcode_next(): not implemented yet");

    return 0;
}

/* Print contents of a vartype */
void
vvarcode_print(vvartype *var, FILE *fp)
{
    VVARCODE_CHECK(var);

    v_print_start();
    v_push_indent();

    v_print_type(vvartype_type, var, fp);

    /* Do the printing here */
    v_fatal("vvarcode_print(): not implemented yet");

    v_pop_indent();
    v_print_finish();
}

/* Read vartype from a stream */
vvartype *
vvarcode_read(FILE *fp)
{
    vvartype *var;

    /* Do the reading here */
    v_fatal("vvarcode_read(): not implemented yet");

    return var;
}

/* Thaw vartype from a stream */
vvartype *
vvarcode_thaw(FILE *fp)
{
    vvartype *var;

    /* Do the thawing here */
    v_fatal("vvarcode_thaw(): not implemented yet");

    return var;
}

/* Traverse a vartype */
int
vvarcode_traverse(vvartype *var, int (*func)())
{
    int val;

    VVARCODE_CHECK(var);

    if ((val = func(var)) != 0)
        return val;

    v_push_traverse(var);

    /* Traverse any internals here */

    v_pop_traverse();

    return 0;
}

/* Write vartype to a stream */
int
vvarcode_write(vvartype *var, FILE *fp)
{
    VVARCODE_CHECK(var);

    /* Do the writing here */
    v_fatal("vvarcode_write(): not implemented yet");

    return 1;
}
