/* Vartype function header */

#ifndef VARS_VARTYPE_H
#define VARS_VARTYPE_H

#include <vars.h>

/* Pointer checking macros */
#define v_isvartype(ptr)    (ptr != NULL && v_type(ptr) == vvartype_type) 
#define VVARCODE_CHECK(ptr) V_CHECK(ptr, vvartype_type, "VARTYPE")

/* Type abbreviation */
typedef struct v_vartype vvartype;

/* Type variable */
extern vtype *vvartype_type;

/* Standard functions */
extern vvartype *vvarcode_copy(vvartype *var);
extern vvartype *vvarcode_create(void);
extern vtype *vvarcode_declare(void);
extern void vvarcode_destroy(vvartype *var);
extern int vvarcode_freeze(vvartype *var, FILE *fp);
extern int vvarcode_next(viter *iter);
extern void vvarcode_print(vvartype *var, FILE *fp);
extern vvartype *vvarcode_read(FILE *fp);
extern vvartype *vvarcode_thaw(FILE *fp);
extern int vvarcode_traverse(vvartype *var, int (*func)());
extern int vvarcode_write(vvartype *var, FILE *fp);

/* Add your own functions here */

#endif
