/*
 * This file is part of the Vars library, copyright (C) Glenn Hutchings
 * 1996-2006.
 *
 * The Vars library comes with ABSOLUTELY NO WARRANTY.  This is free
 * software, and you are welcome to redistribute it under certain
 * conditions; see the file COPYING for details.
 */

#define yy_create_buffer parser_create_buffer
#define yy_delete_buffer parser_delete_buffer
#define yy_scan_buffer parser_scan_buffer
#define yy_scan_string parser_scan_string
#define yy_scan_bytes parser_scan_bytes
#define yy_flex_debug parser_flex_debug
#define yy_init_buffer parser_init_buffer
#define yy_flush_buffer parser_flush_buffer
#define yy_load_buffer_state parser_load_buffer_state
#define yy_switch_to_buffer parser_switch_to_buffer
#define yyin parserin
#define yyleng parserleng
#define yylex parserlex
#define yyout parserout
#define yyrestart parserrestart
#define yytext parsertext
#define yywrap parserwrap

/* A lexical scanner generated by flex */

/* Scanner skeleton version:
 * $Header: /usr/local/cvsroot/lib/vars/src/vars-parser-lex.c,v 1.3 2006/06/05 07:42:30 glen Exp $
 */

#define FLEX_SCANNER
#define YY_FLEX_MAJOR_VERSION 2
#define YY_FLEX_MINOR_VERSION 5

#include <stdio.h>
#include <unistd.h>


/* cfront 1.2 defines "c_plusplus" instead of "__cplusplus" */
#ifdef c_plusplus
#ifndef __cplusplus
#define __cplusplus
#endif
#endif


#ifdef __cplusplus

#include <stdlib.h>

/* Use prototypes in function declarations. */
#define YY_USE_PROTOS

/* The "const" storage-class-modifier is valid. */
#define YY_USE_CONST

#else	/* ! __cplusplus */

#if __STDC__

#define YY_USE_PROTOS
#define YY_USE_CONST

#endif	/* __STDC__ */
#endif	/* ! __cplusplus */

#ifdef __TURBOC__
 #pragma warn -rch
 #pragma warn -use
#include <io.h>
#include <stdlib.h>
#define YY_USE_CONST
#define YY_USE_PROTOS
#endif

#ifdef YY_USE_CONST
#define yyconst const
#else
#define yyconst
#endif


#ifdef YY_USE_PROTOS
#define YY_PROTO(proto) proto
#else
#define YY_PROTO(proto) ()
#endif

/* Returned upon end-of-file. */
#define YY_NULL 0

/* Promotes a possibly negative, possibly signed char to an unsigned
 * integer for use as an array index.  If the signed char is negative,
 * we want to instead treat it as an 8-bit unsigned char, hence the
 * double cast.
 */
#define YY_SC_TO_UI(c) ((unsigned int) (unsigned char) c)

/* Enter a start condition.  This macro really ought to take a parameter,
 * but we do it the disgusting crufty way forced on us by the ()-less
 * definition of BEGIN.
 */
#define BEGIN yy_start = 1 + 2 *

/* Translate the current start state into a value that can be later handed
 * to BEGIN to return to the state.  The YYSTATE alias is for lex
 * compatibility.
 */
#define YY_START ((yy_start - 1) / 2)
#define YYSTATE YY_START

/* Action number for EOF rule of a given start state. */
#define YY_STATE_EOF(state) (YY_END_OF_BUFFER + state + 1)

/* Special action meaning "start processing a new file". */
#define YY_NEW_FILE yyrestart( yyin )

#define YY_END_OF_BUFFER_CHAR 0

/* Size of default input buffer. */
#define YY_BUF_SIZE 16384

typedef struct yy_buffer_state *YY_BUFFER_STATE;

extern int yyleng;
extern FILE *yyin, *yyout;

#define EOB_ACT_CONTINUE_SCAN 0
#define EOB_ACT_END_OF_FILE 1
#define EOB_ACT_LAST_MATCH 2

/* The funky do-while in the following #define is used to turn the definition
 * int a single C statement (which needs a semi-colon terminator).  This
 * avoids problems with code like:
 *
 * 	if ( condition_holds )
 *		yyless( 5 );
 *	else
 *		do_something_else();
 *
 * Prior to using the do-while the compiler would get upset at the
 * "else" because it interpreted the "if" statement as being all
 * done when it reached the ';' after the yyless() call.
 */

/* Return all but the first 'n' matched characters back to the input stream. */

#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
		*yy_cp = yy_hold_char; \
		YY_RESTORE_YY_MORE_OFFSET \
		yy_c_buf_p = yy_cp = yy_bp + n - YY_MORE_ADJ; \
		YY_DO_BEFORE_ACTION; /* set up yytext again */ \
		} \
	while ( 0 )

#define unput(c) yyunput( c, yytext_ptr )

/* The following is because we cannot portably get our hands on size_t
 * (without autoconf's help, which isn't available because we want
 * flex-generated scanners to compile on their own).
 */
typedef unsigned int yy_size_t;


struct yy_buffer_state
	{
	FILE *yy_input_file;

	char *yy_ch_buf;		/* input buffer */
	char *yy_buf_pos;		/* current position in input buffer */

	/* Size of input buffer in bytes, not including room for EOB
	 * characters.
	 */
	yy_size_t yy_buf_size;

	/* Number of characters read into yy_ch_buf, not including EOB
	 * characters.
	 */
	int yy_n_chars;

	/* Whether we "own" the buffer - i.e., we know we created it,
	 * and can realloc() it to grow it, and should free() it to
	 * delete it.
	 */
	int yy_is_our_buffer;

	/* Whether this is an "interactive" input source; if so, and
	 * if we're using stdio for input, then we want to use getc()
	 * instead of fread(), to make sure we stop fetching input after
	 * each newline.
	 */
	int yy_is_interactive;

	/* Whether we're considered to be at the beginning of a line.
	 * If so, '^' rules will be active on the next match, otherwise
	 * not.
	 */
	int yy_at_bol;

	/* Whether to try to fill the input buffer when we reach the
	 * end of it.
	 */
	int yy_fill_buffer;

	int yy_buffer_status;
#define YY_BUFFER_NEW 0
#define YY_BUFFER_NORMAL 1
	/* When an EOF's been seen but there's still some text to process
	 * then we mark the buffer as YY_EOF_PENDING, to indicate that we
	 * shouldn't try reading from the input source any more.  We might
	 * still have a bunch of tokens to match, though, because of
	 * possible backing-up.
	 *
	 * When we actually see the EOF, we change the status to "new"
	 * (via yyrestart()), so that the user can continue scanning by
	 * just pointing yyin at a new input file.
	 */
#define YY_BUFFER_EOF_PENDING 2
	};

static YY_BUFFER_STATE yy_current_buffer = 0;

/* We provide macros for accessing buffer states in case in the
 * future we want to put the buffer states in a more general
 * "scanner state".
 */
#define YY_CURRENT_BUFFER yy_current_buffer


/* yy_hold_char holds the character lost when yytext is formed. */
static char yy_hold_char;

static int yy_n_chars;		/* number of characters read into yy_ch_buf */


int yyleng;

/* Points to current character in buffer. */
static char *yy_c_buf_p = (char *) 0;
static int yy_init = 1;		/* whether we need to initialize */
static int yy_start = 0;	/* start state number */

/* Flag which is used to allow yywrap()'s to do buffer switches
 * instead of setting up a fresh yyin.  A bit of a hack ...
 */
static int yy_did_buffer_switch_on_eof;

void yyrestart YY_PROTO(( FILE *input_file ));

void yy_switch_to_buffer YY_PROTO(( YY_BUFFER_STATE new_buffer ));
void yy_load_buffer_state YY_PROTO(( void ));
YY_BUFFER_STATE yy_create_buffer YY_PROTO(( FILE *file, int size ));
void yy_delete_buffer YY_PROTO(( YY_BUFFER_STATE b ));
void yy_init_buffer YY_PROTO(( YY_BUFFER_STATE b, FILE *file ));
void yy_flush_buffer YY_PROTO(( YY_BUFFER_STATE b ));
#define YY_FLUSH_BUFFER yy_flush_buffer( yy_current_buffer )

YY_BUFFER_STATE yy_scan_buffer YY_PROTO(( char *base, yy_size_t size ));
YY_BUFFER_STATE yy_scan_string YY_PROTO(( yyconst char *yy_str ));
YY_BUFFER_STATE yy_scan_bytes YY_PROTO(( yyconst char *bytes, int len ));

static void *yy_flex_alloc YY_PROTO(( yy_size_t ));
static void *yy_flex_realloc YY_PROTO(( void *, yy_size_t ));
static void yy_flex_free YY_PROTO(( void * ));

#define yy_new_buffer yy_create_buffer

#define yy_set_interactive(is_interactive) \
	{ \
	if ( ! yy_current_buffer ) \
		yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE ); \
	yy_current_buffer->yy_is_interactive = is_interactive; \
	}

#define yy_set_bol(at_bol) \
	{ \
	if ( ! yy_current_buffer ) \
		yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE ); \
	yy_current_buffer->yy_at_bol = at_bol; \
	}

#define YY_AT_BOL() (yy_current_buffer->yy_at_bol)

typedef unsigned char YY_CHAR;
FILE *yyin = (FILE *) 0, *yyout = (FILE *) 0;
typedef yyconst struct yy_trans_info *yy_state_type;
extern char *yytext;
#define yytext_ptr yytext

static yy_state_type yy_get_previous_state YY_PROTO(( void ));
static yy_state_type yy_try_NUL_trans YY_PROTO(( yy_state_type current_state ));
static int yy_get_next_buffer YY_PROTO(( void ));
static void yy_fatal_error YY_PROTO(( yyconst char msg[] ));

/* Done after the current pattern has been matched and before the
 * corresponding action - sets up yytext.
 */
#define YY_DO_BEFORE_ACTION \
	yytext_ptr = yy_bp; \
	yyleng = (int) (yy_cp - yy_bp); \
	yy_hold_char = *yy_cp; \
	*yy_cp = '\0'; \
	yy_c_buf_p = yy_cp;

#define YY_NUM_RULES 21
#define YY_END_OF_BUFFER 22
struct yy_trans_info
	{
	long yy_verify;
	long yy_nxt;
	};
static yyconst struct yy_trans_info yy_transition[4200] =
    {
 {   0,   0 }, {   0,3944 }, {   0,   0 }, {   0,3942 }, {   1, 516 },
 {   2, 516 }, {   3, 516 }, {   4, 516 }, {   5, 516 }, {   6, 516 },
 {   7, 516 }, {   8, 516 }, {   9, 518 }, {  10, 520 }, {  11, 516 },
 {  12, 518 }, {  13, 518 }, {  14, 516 }, {  15, 516 }, {  16, 516 },
 {  17, 516 }, {  18, 516 }, {  19, 516 }, {  20, 516 }, {  21, 516 },
 {  22, 516 }, {  23, 516 }, {  24, 516 }, {  25, 516 }, {  26, 516 },
 {  27, 516 }, {  28, 516 }, {  29, 516 }, {  30, 516 }, {  31, 516 },
 {  32, 518 }, {  33, 522 }, {  34, 524 }, {  35, 638 }, {  36, 516 },
 {  37, 516 }, {  38, 526 }, {  39, 516 }, {  40, 516 }, {  41, 516 },
 {  42, 516 }, {  43, 516 }, {  44, 516 }, {  45, 516 }, {  46, 896 },

 {  47, 516 }, {  48, 918 }, {  49, 918 }, {  50, 918 }, {  51, 918 },
 {  52, 918 }, {  53, 918 }, {  54, 918 }, {  55, 918 }, {  56, 918 },
 {  57, 918 }, {  58, 516 }, {  59, 516 }, {  60, 529 }, {  61, 898 },
 {  62, 900 }, {  63, 516 }, {  64, 516 }, {  65, 977 }, {  66, 977 },
 {  67, 977 }, {  68, 977 }, {  69,1069 }, {  70, 977 }, {  71, 977 },
 {  72, 977 }, {  73, 977 }, {  74, 977 }, {  75, 977 }, {  76, 977 },
 {  77, 977 }, {  78, 977 }, {  79, 977 }, {  80, 977 }, {  81, 977 },
 {  82, 977 }, {  83, 977 }, {  84, 977 }, {  85, 977 }, {  86, 977 },
 {  87, 977 }, {  88, 977 }, {  89, 977 }, {  90, 977 }, {  91, 516 },
 {  92, 516 }, {  93, 516 }, {  94, 516 }, {  95, 977 }, {  96, 516 },

 {  97,1161 }, {  98, 977 }, {  99, 977 }, { 100, 977 }, { 101,1253 },
 { 102, 977 }, { 103,1345 }, { 104, 977 }, { 105, 977 }, { 106, 977 },
 { 107, 977 }, { 108,1437 }, { 109,1529 }, { 110,1621 }, { 111,1713 },
 { 112, 977 }, { 113, 977 }, { 114, 977 }, { 115, 977 }, { 116, 977 },
 { 117, 977 }, { 118, 977 }, { 119, 977 }, { 120, 977 }, { 121, 977 },
 { 122, 977 }, { 123, 516 }, { 124, 911 }, { 125, 516 }, { 126, 516 },
 { 127, 516 }, { 128, 516 }, { 129, 516 }, { 130, 516 }, { 131, 516 },
 { 132, 516 }, { 133, 516 }, { 134, 516 }, { 135, 516 }, { 136, 516 },
 { 137, 516 }, { 138, 516 }, { 139, 516 }, { 140, 516 }, { 141, 516 },
 { 142, 516 }, { 143, 516 }, { 144, 516 }, { 145, 516 }, { 146, 516 },

 { 147, 516 }, { 148, 516 }, { 149, 516 }, { 150, 516 }, { 151, 516 },
 { 152, 516 }, { 153, 516 }, { 154, 516 }, { 155, 516 }, { 156, 516 },
 { 157, 516 }, { 158, 516 }, { 159, 516 }, { 160, 516 }, { 161, 516 },
 { 162, 516 }, { 163, 516 }, { 164, 516 }, { 165, 516 }, { 166, 516 },
 { 167, 516 }, { 168, 516 }, { 169, 516 }, { 170, 516 }, { 171, 516 },
 { 172, 516 }, { 173, 516 }, { 174, 516 }, { 175, 516 }, { 176, 516 },
 { 177, 516 }, { 178, 516 }, { 179, 516 }, { 180, 516 }, { 181, 516 },
 { 182, 516 }, { 183, 516 }, { 184, 516 }, { 185, 516 }, { 186, 516 },
 { 187, 516 }, { 188, 516 }, { 189, 516 }, { 190, 516 }, { 191, 516 },
 { 192, 516 }, { 193, 516 }, { 194, 516 }, { 195, 516 }, { 196, 516 },

 { 197, 516 }, { 198, 516 }, { 199, 516 }, { 200, 516 }, { 201, 516 },
 { 202, 516 }, { 203, 516 }, { 204, 516 }, { 205, 516 }, { 206, 516 },
 { 207, 516 }, { 208, 516 }, { 209, 516 }, { 210, 516 }, { 211, 516 },
 { 212, 516 }, { 213, 516 }, { 214, 516 }, { 215, 516 }, { 216, 516 },
 { 217, 516 }, { 218, 516 }, { 219, 516 }, { 220, 516 }, { 221, 516 },
 { 222, 516 }, { 223, 516 }, { 224, 516 }, { 225, 516 }, { 226, 516 },
 { 227, 516 }, { 228, 516 }, { 229, 516 }, { 230, 516 }, { 231, 516 },
 { 232, 516 }, { 233, 516 }, { 234, 516 }, { 235, 516 }, { 236, 516 },
 { 237, 516 }, { 238, 516 }, { 239, 516 }, { 240, 516 }, { 241, 516 },
 { 242, 516 }, { 243, 516 }, { 244, 516 }, { 245, 516 }, { 246, 516 },

 { 247, 516 }, { 248, 516 }, { 249, 516 }, { 250, 516 }, { 251, 516 },
 { 252, 516 }, { 253, 516 }, { 254, 516 }, { 255, 516 }, { 256, 516 },
 {   0,   0 }, {   0,3684 }, {   1, 258 }, {   2, 258 }, {   3, 258 },
 {   4, 258 }, {   5, 258 }, {   6, 258 }, {   7, 258 }, {   8, 258 },
 {   9, 260 }, {  10, 262 }, {  11, 258 }, {  12, 260 }, {  13, 260 },
 {  14, 258 }, {  15, 258 }, {  16, 258 }, {  17, 258 }, {  18, 258 },
 {  19, 258 }, {  20, 258 }, {  21, 258 }, {  22, 258 }, {  23, 258 },
 {  24, 258 }, {  25, 258 }, {  26, 258 }, {  27, 258 }, {  28, 258 },
 {  29, 258 }, {  30, 258 }, {  31, 258 }, {  32, 260 }, {  33, 264 },
 {  34, 266 }, {  35, 380 }, {  36, 258 }, {  37, 258 }, {  38, 268 },

 {  39, 258 }, {  40, 258 }, {  41, 258 }, {  42, 258 }, {  43, 258 },
 {  44, 258 }, {  45, 258 }, {  46, 638 }, {  47, 258 }, {  48, 660 },
 {  49, 660 }, {  50, 660 }, {  51, 660 }, {  52, 660 }, {  53, 660 },
 {  54, 660 }, {  55, 660 }, {  56, 660 }, {  57, 660 }, {  58, 258 },
 {  59, 258 }, {  60, 271 }, {  61, 640 }, {  62, 642 }, {  63, 258 },
 {  64, 258 }, {  65, 719 }, {  66, 719 }, {  67, 719 }, {  68, 719 },
 {  69, 811 }, {  70, 719 }, {  71, 719 }, {  72, 719 }, {  73, 719 },
 {  74, 719 }, {  75, 719 }, {  76, 719 }, {  77, 719 }, {  78, 719 },
 {  79, 719 }, {  80, 719 }, {  81, 719 }, {  82, 719 }, {  83, 719 },
 {  84, 719 }, {  85, 719 }, {  86, 719 }, {  87, 719 }, {  88, 719 },

 {  89, 719 }, {  90, 719 }, {  91, 258 }, {  92, 258 }, {  93, 258 },
 {  94, 258 }, {  95, 719 }, {  96, 258 }, {  97, 903 }, {  98, 719 },
 {  99, 719 }, { 100, 719 }, { 101, 995 }, { 102, 719 }, { 103,1087 },
 { 104, 719 }, { 105, 719 }, { 106, 719 }, { 107, 719 }, { 108,1179 },
 { 109,1271 }, { 110,1363 }, { 111,1455 }, { 112, 719 }, { 113, 719 },
 { 114, 719 }, { 115, 719 }, { 116, 719 }, { 117, 719 }, { 118, 719 },
 { 119, 719 }, { 120, 719 }, { 121, 719 }, { 122, 719 }, { 123, 258 },
 { 124, 653 }, { 125, 258 }, { 126, 258 }, { 127, 258 }, { 128, 258 },
 { 129, 258 }, { 130, 258 }, { 131, 258 }, { 132, 258 }, { 133, 258 },
 { 134, 258 }, { 135, 258 }, { 136, 258 }, { 137, 258 }, { 138, 258 },

 { 139, 258 }, { 140, 258 }, { 141, 258 }, { 142, 258 }, { 143, 258 },
 { 144, 258 }, { 145, 258 }, { 146, 258 }, { 147, 258 }, { 148, 258 },
 { 149, 258 }, { 150, 258 }, { 151, 258 }, { 152, 258 }, { 153, 258 },
 { 154, 258 }, { 155, 258 }, { 156, 258 }, { 157, 258 }, { 158, 258 },
 { 159, 258 }, { 160, 258 }, { 161, 258 }, { 162, 258 }, { 163, 258 },
 { 164, 258 }, { 165, 258 }, { 166, 258 }, { 167, 258 }, { 168, 258 },
 { 169, 258 }, { 170, 258 }, { 171, 258 }, { 172, 258 }, { 173, 258 },
 { 174, 258 }, { 175, 258 }, { 176, 258 }, { 177, 258 }, { 178, 258 },
 { 179, 258 }, { 180, 258 }, { 181, 258 }, { 182, 258 }, { 183, 258 },
 { 184, 258 }, { 185, 258 }, { 186, 258 }, { 187, 258 }, { 188, 258 },

 { 189, 258 }, { 190, 258 }, { 191, 258 }, { 192, 258 }, { 193, 258 },
 { 194, 258 }, { 195, 258 }, { 196, 258 }, { 197, 258 }, { 198, 258 },
 { 199, 258 }, { 200, 258 }, { 201, 258 }, { 202, 258 }, { 203, 258 },
 { 204, 258 }, { 205, 258 }, { 206, 258 }, { 207, 258 }, { 208, 258 },
 { 209, 258 }, { 210, 258 }, { 211, 258 }, { 212, 258 }, { 213, 258 },
 { 214, 258 }, { 215, 258 }, { 216, 258 }, { 217, 258 }, { 218, 258 },
 { 219, 258 }, { 220, 258 }, { 221, 258 }, { 222, 258 }, { 223, 258 },
 { 224, 258 }, { 225, 258 }, { 226, 258 }, { 227, 258 }, { 228, 258 },
 { 229, 258 }, { 230, 258 }, { 231, 258 }, { 232, 258 }, { 233, 258 },
 { 234, 258 }, { 235, 258 }, { 236, 258 }, { 237, 258 }, { 238, 258 },

 { 239, 258 }, { 240, 258 }, { 241, 258 }, { 242, 258 }, { 243, 258 },
 { 244, 258 }, { 245, 258 }, { 246, 258 }, { 247, 258 }, { 248, 258 },
 { 249, 258 }, { 250, 258 }, { 251, 258 }, { 252, 258 }, { 253, 258 },
 { 254, 258 }, { 255, 258 }, { 256, 258 }, {   0,  20 }, {   0,3426 },
 {   0,  18 }, {   0,3424 }, {   0,  19 }, {   0,3422 }, {   0,  20 },
 {   0,3420 }, {   0,  16 }, {   0,3418 }, {   0,  20 }, {   0,3416 },
 {   9, 404 }, {   0,   8 }, {   0,3413 }, {  12, 404 }, {  13, 404 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  32, 404 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  38, 402 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  61, 402 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  61, 401 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,  17 }, {   0,3304 }, {   1,1199 }, {   2,1199 }, {   3,1199 },
 {   4,1199 }, {   5,1199 }, {   6,1199 }, {   7,1199 }, {   8,1199 },

 {   9,1199 }, { 126, 404 }, {  11,1199 }, {  12,1199 }, {  13,1199 },
 {  14,1199 }, {  15,1199 }, {  16,1199 }, {  17,1199 }, {  18,1199 },
 {  19,1199 }, {  20,1199 }, {  21,1199 }, {  22,1199 }, {  23,1199 },
 {  24,1199 }, {  25,1199 }, {  26,1199 }, {  27,1199 }, {  28,1199 },
 {  29,1199 }, {  30,1199 }, {  31,1199 }, {  32,1199 }, {  33,1199 },
 {  34,1199 }, {  35,1199 }, {  36,1199 }, {  37,1199 }, {  38,1199 },
 {  39,1199 }, {  40,1199 }, {  41,1199 }, {  42,1199 }, {  43,1199 },
 {  44,1199 }, {  45,1199 }, {  46,1199 }, {  47,1199 }, {  48,1199 },
 {  49,1199 }, {  50,1199 }, {  51,1199 }, {  52,1199 }, {  53,1199 },
 {  54,1199 }, {  55,1199 }, {  56,1199 }, {  57,1199 }, {  58,1199 },

 {  59,1199 }, {  60,1199 }, {  61,1199 }, {  62,1199 }, {  63,1199 },
 {  64,1199 }, {  65,1199 }, {  66,1199 }, {  67,1199 }, {  68,1199 },
 {  69,1199 }, {  70,1199 }, {  71,1199 }, {  72,1199 }, {  73,1199 },
 {  74,1199 }, {  75,1199 }, {  76,1199 }, {  77,1199 }, {  78,1199 },
 {  79,1199 }, {  80,1199 }, {  81,1199 }, {  82,1199 }, {  83,1199 },
 {  84,1199 }, {  85,1199 }, {  86,1199 }, {  87,1199 }, {  88,1199 },
 {  89,1199 }, {  90,1199 }, {  91,1199 }, {  92,1199 }, {  93,1199 },
 {  94,1199 }, {  95,1199 }, {  96,1199 }, {  97,1199 }, {  98,1199 },
 {  99,1199 }, { 100,1199 }, { 101,1199 }, { 102,1199 }, { 103,1199 },
 { 104,1199 }, { 105,1199 }, { 106,1199 }, { 107,1199 }, { 108,1199 },

 { 109,1199 }, { 110,1199 }, { 111,1199 }, { 112,1199 }, { 113,1199 },
 { 114,1199 }, { 115,1199 }, { 116,1199 }, { 117,1199 }, { 118,1199 },
 { 119,1199 }, { 120,1199 }, { 121,1199 }, { 122,1199 }, { 123,1199 },
 { 124,1199 }, { 125,1199 }, { 126,1199 }, { 127,1199 }, { 128,1199 },
 { 129,1199 }, { 130,1199 }, { 131,1199 }, { 132,1199 }, { 133,1199 },
 { 134,1199 }, { 135,1199 }, { 136,1199 }, { 137,1199 }, { 138,1199 },
 { 139,1199 }, { 140,1199 }, { 141,1199 }, { 142,1199 }, { 143,1199 },
 { 144,1199 }, { 145,1199 }, { 146,1199 }, { 147,1199 }, { 148,1199 },
 { 149,1199 }, { 150,1199 }, { 151,1199 }, { 152,1199 }, { 153,1199 },
 { 154,1199 }, { 155,1199 }, { 156,1199 }, { 157,1199 }, { 158,1199 },

 { 159,1199 }, { 160,1199 }, { 161,1199 }, { 162,1199 }, { 163,1199 },
 { 164,1199 }, { 165,1199 }, { 166,1199 }, { 167,1199 }, { 168,1199 },
 { 169,1199 }, { 170,1199 }, { 171,1199 }, { 172,1199 }, { 173,1199 },
 { 174,1199 }, { 175,1199 }, { 176,1199 }, { 177,1199 }, { 178,1199 },
 { 179,1199 }, { 180,1199 }, { 181,1199 }, { 182,1199 }, { 183,1199 },
 { 184,1199 }, { 185,1199 }, { 186,1199 }, { 187,1199 }, { 188,1199 },
 { 189,1199 }, { 190,1199 }, { 191,1199 }, { 192,1199 }, { 193,1199 },
 { 194,1199 }, { 195,1199 }, { 196,1199 }, { 197,1199 }, { 198,1199 },
 { 199,1199 }, { 200,1199 }, { 201,1199 }, { 202,1199 }, { 203,1199 },
 { 204,1199 }, { 205,1199 }, { 206,1199 }, { 207,1199 }, { 208,1199 },

 { 209,1199 }, { 210,1199 }, { 211,1199 }, { 212,1199 }, { 213,1199 },
 { 214,1199 }, { 215,1199 }, { 216,1199 }, { 217,1199 }, { 218,1199 },
 { 219,1199 }, { 220,1199 }, { 221,1199 }, { 222,1199 }, { 223,1199 },
 { 224,1199 }, { 225,1199 }, { 226,1199 }, { 227,1199 }, { 228,1199 },
 { 229,1199 }, { 230,1199 }, { 231,1199 }, { 232,1199 }, { 233,1199 },
 { 234,1199 }, { 235,1199 }, { 236,1199 }, { 237,1199 }, { 238,1199 },
 { 239,1199 }, { 240,1199 }, { 241,1199 }, { 242,1199 }, { 243,1199 },
 { 244,1199 }, { 245,1199 }, { 246,1199 }, { 247,1199 }, { 248,1199 },
 { 249,1199 }, { 250,1199 }, { 251,1199 }, { 252,1199 }, { 253,1199 },
 { 254,1199 }, { 255,1199 }, { 256,1199 }, {   0,  11 }, {   0,3046 },

 {   0,  20 }, {   0,3044 }, {   0,   6 }, {   0,3042 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,  20 }, {   0,3031 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,  14 }, {   0,3024 }, {   0,   0 }, {   0,   0 }, {   0,  18 },
 {   0,3020 }, {   0,   4 }, {   0,3018 }, {   0,  10 }, {   0,3016 },
 {   0,   1 }, {   0,3014 }, {   0,   7 }, {   0,3012 }, {   9,   0 },
 {   0,   3 }, {   0,3009 }, {  12,   0 }, {  13,   0 }, {   0,   9 },
 {   0,3005 }, {   0,   5 }, {   0,3003 }, {   0,   2 }, {   0,3001 },
 {   0,   0 }, {   0,   0 }, {  48,1199 }, {  49,1199 }, {  50,1199 },

 {  51,1199 }, {  52,1199 }, {  53,1199 }, {  54,1199 }, {  55,1199 },
 {  56,1199 }, {  57,1199 }, {  32,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  61,  35 }, {   0,   0 }, {  61,  39 },
 {   0,   0 }, {   0,   0 }, {  46,1210 }, {  69,1221 }, {  48,1236 },
 {  49,1236 }, {  50,1236 }, {  51,1236 }, {  52,1236 }, {  53,1236 },
 {  54,1236 }, {  55,1236 }, {  56,1236 }, {  57,1236 }, {   0,  15 },
 {   0,2965 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  69,1269 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 { 101,1221 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, { 101,1269 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, { 126,  39 }, {  48,1236 }, {  49,1236 },
 {  50,1236 }, {  51,1236 }, {  52,1236 }, {  53,1236 }, {  54,1236 },
 {  55,1236 }, {  56,1236 }, {  57,1236 }, { 124,  30 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  65,1236 }, {  66,1236 }, {  67,1236 }, {  68,1236 }, {  69,1236 },

 {  70,1236 }, {  71,1236 }, {  72,1236 }, {  73,1236 }, {  74,1236 },
 {  75,1236 }, {  76,1236 }, {  77,1236 }, {  78,1236 }, {  79,1236 },
 {  80,1236 }, {  81,1236 }, {  82,1236 }, {  83,1236 }, {  84,1236 },
 {  85,1236 }, {  86,1236 }, {  87,1236 }, {  88,1236 }, {  89,1236 },
 {  90,1236 }, {   0,  15 }, {   0,2873 }, {   0,   0 }, {   0,   0 },
 {  95,1236 }, {   0,   0 }, {  97,1236 }, {  98,1236 }, {  99,1236 },
 { 100,1236 }, { 101,1236 }, { 102,1236 }, { 103,1236 }, { 104,1236 },
 { 105,1236 }, { 106,1236 }, { 107,1236 }, { 108,1236 }, { 109,1236 },
 { 110,1236 }, { 111,1236 }, { 112,1236 }, { 113,1236 }, { 114,1236 },
 { 115,1236 }, { 116,1236 }, { 117,1236 }, { 118,1236 }, { 119,1236 },

 { 120,1236 }, { 121,1236 }, { 122,1236 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  43,1236 }, {   0,   0 }, {  45,1236 }, {   0,   0 }, {   0,   0 },
 {  48,1268 }, {  49,1268 }, {  50,1268 }, {  51,1268 }, {  52,1268 },
 {  53,1268 }, {  54,1268 }, {  55,1268 }, {  56,1268 }, {  57,1268 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  65,1144 }, {  66,1144 }, {  67,1144 },
 {  68,1144 }, {  69,1144 }, {  70,1144 }, {  71,1144 }, {  72,1144 },
 {  73,1144 }, {  74,1144 }, {  75,1144 }, {  76,1144 }, {  77,1144 },

 {  78,1144 }, {  79,1144 }, {  80,1144 }, {  81,1144 }, {  82,1144 },
 {  83,1144 }, {  84,1144 }, {  85,1144 }, {  86,1144 }, {  87,1144 },
 {  88,1144 }, {  89,1144 }, {  90,1144 }, {   0,  15 }, {   0,2781 },
 {   0,   0 }, {   0,   0 }, {  95,1144 }, {   0,   0 }, {  97,1144 },
 {  98,1144 }, {  99,1144 }, { 100,1144 }, { 101,1144 }, { 102,1144 },
 { 103,1144 }, { 104,1144 }, { 105,1144 }, { 106,1144 }, { 107,1144 },
 { 108,1144 }, { 109,1144 }, { 110,1144 }, { 111,1144 }, { 112,1144 },
 { 113,1144 }, { 114,1144 }, { 115,1144 }, { 116,1144 }, { 117,1144 },
 { 118,1144 }, { 119,1144 }, { 120,1144 }, { 121,1144 }, { 122,1144 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  48,1052 }, {  49,1052 }, {  50,1052 },
 {  51,1052 }, {  52,1052 }, {  53,1052 }, {  54,1052 }, {  55,1052 },
 {  56,1052 }, {  57,1052 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  65,1052 },
 {  66,1052 }, {  67,1052 }, {  68,1052 }, {  69,1052 }, {  70,1052 },
 {  71,1052 }, {  72,1052 }, {  73,1052 }, {  74,1052 }, {  75,1052 },
 {  76,1052 }, {  77,1052 }, {  78,1052 }, {  79,1052 }, {  80,1052 },
 {  81,1052 }, {  82,1052 }, {  83,1052 }, {  84,1052 }, {  85,1052 },

 {  86,1052 }, {  87,1052 }, {  88,1052 }, {  89,1052 }, {  90,1052 },
 {   0,  15 }, {   0,2689 }, {   0,   0 }, {   0,   0 }, {  95,1052 },
 {   0,   0 }, {  97,1052 }, {  98,1052 }, {  99,1052 }, { 100,1052 },
 { 101,1052 }, { 102,1052 }, { 103,1052 }, { 104,1052 }, { 105,1052 },
 { 106,1052 }, { 107,1052 }, { 108,1052 }, { 109,1052 }, { 110,1268 },
 { 111,1052 }, { 112,1052 }, { 113,1052 }, { 114,1052 }, { 115,1052 },
 { 116,1052 }, { 117,1052 }, { 118,1052 }, { 119,1052 }, { 120,1052 },
 { 121,1052 }, { 122,1052 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  43,1052 },

 {   0,   0 }, {  45,1052 }, {   0,   0 }, {   0,   0 }, {  48,1084 },
 {  49,1084 }, {  50,1084 }, {  51,1084 }, {  52,1084 }, {  53,1084 },
 {  54,1084 }, {  55,1084 }, {  56,1084 }, {  57,1084 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  65, 960 }, {  66, 960 }, {  67, 960 }, {  68, 960 },
 {  69, 960 }, {  70, 960 }, {  71, 960 }, {  72, 960 }, {  73, 960 },
 {  74, 960 }, {  75, 960 }, {  76, 960 }, {  77, 960 }, {  78, 960 },
 {  79, 960 }, {  80, 960 }, {  81, 960 }, {  82, 960 }, {  83, 960 },
 {  84, 960 }, {  85, 960 }, {  86, 960 }, {  87, 960 }, {  88, 960 },
 {  89, 960 }, {  90, 960 }, {   0,  15 }, {   0,2597 }, {   0,   0 },

 {   0,   0 }, {  95, 960 }, {   0,   0 }, {  97, 960 }, {  98, 960 },
 {  99, 960 }, { 100, 960 }, { 101, 960 }, { 102, 960 }, { 103, 960 },
 { 104, 960 }, { 105, 960 }, { 106, 960 }, { 107, 960 }, { 108, 960 },
 { 109, 960 }, { 110, 960 }, { 111, 960 }, { 112, 960 }, { 113,1268 },
 { 114, 960 }, { 115, 960 }, { 116, 960 }, { 117, 960 }, { 118, 960 },
 { 119, 960 }, { 120, 960 }, { 121, 960 }, { 122, 960 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  48, 868 }, {  49, 868 }, {  50, 868 }, {  51, 868 },

 {  52, 868 }, {  53, 868 }, {  54, 868 }, {  55, 868 }, {  56, 868 },
 {  57, 868 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  65, 868 }, {  66, 868 },
 {  67, 868 }, {  68, 868 }, {  69, 868 }, {  70, 868 }, {  71, 868 },
 {  72, 868 }, {  73, 868 }, {  74, 868 }, {  75, 868 }, {  76, 868 },
 {  77, 868 }, {  78, 868 }, {  79, 868 }, {  80, 868 }, {  81, 868 },
 {  82, 868 }, {  83, 868 }, {  84, 868 }, {  85, 868 }, {  86, 868 },
 {  87, 868 }, {  88, 868 }, {  89, 868 }, {  90, 868 }, {   0,  15 },
 {   0,2505 }, {   0,   0 }, {   0,   0 }, {  95, 868 }, {   0,   0 },
 {  97, 868 }, {  98, 868 }, {  99, 868 }, { 100, 868 }, { 101,1268 },

 { 102, 868 }, { 103, 868 }, { 104, 868 }, { 105, 868 }, { 106, 868 },
 { 107, 868 }, { 108, 868 }, { 109, 868 }, { 110, 868 }, { 111, 868 },
 { 112, 868 }, { 113, 868 }, { 114, 868 }, { 115, 868 }, { 116,1360 },
 { 117, 868 }, { 118, 868 }, { 119, 868 }, { 120, 868 }, { 121, 868 },
 { 122, 868 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  48, 776 }, {  49, 776 },
 {  50, 776 }, {  51, 776 }, {  52, 776 }, {  53, 776 }, {  54, 776 },
 {  55, 776 }, {  56, 776 }, {  57, 776 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  65, 776 }, {  66, 776 }, {  67, 776 }, {  68, 776 }, {  69, 776 },
 {  70, 776 }, {  71, 776 }, {  72, 776 }, {  73, 776 }, {  74, 776 },
 {  75, 776 }, {  76, 776 }, {  77, 776 }, {  78, 776 }, {  79, 776 },
 {  80, 776 }, {  81, 776 }, {  82, 776 }, {  83, 776 }, {  84, 776 },
 {  85, 776 }, {  86, 776 }, {  87, 776 }, {  88, 776 }, {  89, 776 },
 {  90, 776 }, {   0,  15 }, {   0,2413 }, {   0,   0 }, {   0,   0 },
 {  95, 776 }, {   0,   0 }, {  97, 776 }, {  98, 776 }, {  99, 776 },
 { 100, 776 }, { 101,1360 }, { 102, 776 }, { 103, 776 }, { 104, 776 },
 { 105, 776 }, { 106, 776 }, { 107, 776 }, { 108, 776 }, { 109, 776 },

 { 110, 776 }, { 111, 776 }, { 112, 776 }, { 113, 776 }, { 114, 776 },
 { 115, 776 }, { 116,1452 }, { 117, 776 }, { 118, 776 }, { 119, 776 },
 { 120, 776 }, { 121, 776 }, { 122, 776 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  48, 684 }, {  49, 684 }, {  50, 684 }, {  51, 684 }, {  52, 684 },
 {  53, 684 }, {  54, 684 }, {  55, 684 }, {  56, 684 }, {  57, 684 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  65, 684 }, {  66, 684 }, {  67, 684 },

 {  68, 684 }, {  69, 684 }, {  70, 684 }, {  71, 684 }, {  72, 684 },
 {  73, 684 }, {  74, 684 }, {  75, 684 }, {  76, 684 }, {  77, 684 },
 {  78, 684 }, {  79, 684 }, {  80, 684 }, {  81, 684 }, {  82, 684 },
 {  83, 684 }, {  84, 684 }, {  85, 684 }, {  86, 684 }, {  87, 684 },
 {  88, 684 }, {  89, 684 }, {  90, 684 }, {   0,  15 }, {   0,2321 },
 {   0,   0 }, {   0,   0 }, {  95, 684 }, {   0,   0 }, {  97,1452 },
 {  98, 684 }, {  99, 684 }, { 100, 684 }, { 101, 684 }, { 102, 684 },
 { 103, 684 }, { 104, 684 }, { 105, 684 }, { 106, 684 }, { 107, 684 },
 { 108, 684 }, { 109, 684 }, { 110, 684 }, { 111, 684 }, { 112, 684 },
 { 113, 684 }, { 114, 684 }, { 115, 684 }, { 116, 684 }, { 117, 684 },

 { 118, 684 }, { 119, 684 }, { 120, 684 }, { 121, 684 }, { 122, 684 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  48, 592 }, {  49, 592 }, {  50, 592 },
 {  51, 592 }, {  52, 592 }, {  53, 592 }, {  54, 592 }, {  55, 592 },
 {  56, 592 }, {  57, 592 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  65, 592 },
 {  66, 592 }, {  67, 592 }, {  68, 592 }, {  69, 592 }, {  70, 592 },
 {  71, 592 }, {  72, 592 }, {  73, 592 }, {  74, 592 }, {  75, 592 },

 {  76, 592 }, {  77, 592 }, {  78, 592 }, {  79, 592 }, {  80, 592 },
 {  81, 592 }, {  82, 592 }, {  83, 592 }, {  84, 592 }, {  85, 592 },
 {  86, 592 }, {  87, 592 }, {  88, 592 }, {  89, 592 }, {  90, 592 },
 {   0,  15 }, {   0,2229 }, {   0,   0 }, {   0,   0 }, {  95, 592 },
 {   0,   0 }, {  97, 592 }, {  98, 592 }, {  99, 592 }, { 100, 592 },
 { 101,1452 }, { 102, 592 }, { 103, 592 }, { 104, 592 }, { 105, 592 },
 { 106, 592 }, { 107, 592 }, { 108, 592 }, { 109,1544 }, { 110, 592 },
 { 111, 592 }, { 112, 592 }, { 113, 592 }, { 114, 592 }, { 115, 592 },
 { 116, 592 }, { 117, 592 }, { 118, 592 }, { 119, 592 }, { 120, 592 },
 { 121, 592 }, { 122, 592 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  48, 500 },
 {  49, 500 }, {  50, 500 }, {  51, 500 }, {  52, 500 }, {  53, 500 },
 {  54, 500 }, {  55, 500 }, {  56, 500 }, {  57, 500 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  65, 500 }, {  66, 500 }, {  67, 500 }, {  68, 500 },
 {  69, 500 }, {  70, 500 }, {  71, 500 }, {  72, 500 }, {  73, 500 },
 {  74, 500 }, {  75, 500 }, {  76, 500 }, {  77, 500 }, {  78, 500 },
 {  79, 500 }, {  80, 500 }, {  81, 500 }, {  82, 500 }, {  83, 500 },

 {  84, 500 }, {  85, 500 }, {  86, 500 }, {  87, 500 }, {  88, 500 },
 {  89, 500 }, {  90, 500 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  95, 500 }, {   0,   0 }, {  97, 500 }, {  98, 500 },
 {  99, 500 }, { 100, 500 }, { 101, 500 }, { 102, 500 }, { 103, 500 },
 { 104, 500 }, { 105, 500 }, { 106, 500 }, { 107, 500 }, { 108, 500 },
 { 109, 500 }, { 110, 500 }, { 111, 500 }, { 112, 500 }, { 113, 500 },
 { 114,1544 }, { 115, 500 }, { 116, 500 }, { 117, 500 }, { 118, 500 },
 { 119, 500 }, { 120, 500 }, { 121, 500 }, { 122, 500 }, {   0,  17 },
 {   0,2105 }, {   1,   0 }, {   2,   0 }, {   3,   0 }, {   4,   0 },
 {   5,   0 }, {   6,   0 }, {   7,   0 }, {   8,   0 }, {   9,   0 },

 {   0,   0 }, {  11,   0 }, {  12,   0 }, {  13,   0 }, {  14,   0 },
 {  15,   0 }, {  16,   0 }, {  17,   0 }, {  18,   0 }, {  19,   0 },
 {  20,   0 }, {  21,   0 }, {  22,   0 }, {  23,   0 }, {  24,   0 },
 {  25,   0 }, {  26,   0 }, {  27,   0 }, {  28,   0 }, {  29,   0 },
 {  30,   0 }, {  31,   0 }, {  32,   0 }, {  33,   0 }, {  34,   0 },
 {  35,   0 }, {  36,   0 }, {  37,   0 }, {  38,   0 }, {  39,   0 },
 {  40,   0 }, {  41,   0 }, {  42,   0 }, {  43,   0 }, {  44,   0 },
 {  45,   0 }, {  46,   0 }, {  47,   0 }, {  48,   0 }, {  49,   0 },
 {  50,   0 }, {  51,   0 }, {  52,   0 }, {  53,   0 }, {  54,   0 },
 {  55,   0 }, {  56,   0 }, {  57,   0 }, {  58,   0 }, {  59,   0 },

 {  60,   0 }, {  61,   0 }, {  62,   0 }, {  63,   0 }, {  64,   0 },
 {  65,   0 }, {  66,   0 }, {  67,   0 }, {  68,   0 }, {  69,   0 },
 {  70,   0 }, {  71,   0 }, {  72,   0 }, {  73,   0 }, {  74,   0 },
 {  75,   0 }, {  76,   0 }, {  77,   0 }, {  78,   0 }, {  79,   0 },
 {  80,   0 }, {  81,   0 }, {  82,   0 }, {  83,   0 }, {  84,   0 },
 {  85,   0 }, {  86,   0 }, {  87,   0 }, {  88,   0 }, {  89,   0 },
 {  90,   0 }, {  91,   0 }, {  92,   0 }, {  93,   0 }, {  94,   0 },
 {  95,   0 }, {  96,   0 }, {  97,   0 }, {  98,   0 }, {  99,   0 },
 { 100,   0 }, { 101,   0 }, { 102,   0 }, { 103,   0 }, { 104,   0 },
 { 105,   0 }, { 106,   0 }, { 107,   0 }, { 108,   0 }, { 109,   0 },

 { 110,   0 }, { 111,   0 }, { 112,   0 }, { 113,   0 }, { 114,   0 },
 { 115,   0 }, { 116,   0 }, { 117,   0 }, { 118,   0 }, { 119,   0 },
 { 120,   0 }, { 121,   0 }, { 122,   0 }, { 123,   0 }, { 124,   0 },
 { 125,   0 }, { 126,   0 }, { 127,   0 }, { 128,   0 }, { 129,   0 },
 { 130,   0 }, { 131,   0 }, { 132,   0 }, { 133,   0 }, { 134,   0 },
 { 135,   0 }, { 136,   0 }, { 137,   0 }, { 138,   0 }, { 139,   0 },
 { 140,   0 }, { 141,   0 }, { 142,   0 }, { 143,   0 }, { 144,   0 },
 { 145,   0 }, { 146,   0 }, { 147,   0 }, { 148,   0 }, { 149,   0 },
 { 150,   0 }, { 151,   0 }, { 152,   0 }, { 153,   0 }, { 154,   0 },
 { 155,   0 }, { 156,   0 }, { 157,   0 }, { 158,   0 }, { 159,   0 },

 { 160,   0 }, { 161,   0 }, { 162,   0 }, { 163,   0 }, { 164,   0 },
 { 165,   0 }, { 166,   0 }, { 167,   0 }, { 168,   0 }, { 169,   0 },
 { 170,   0 }, { 171,   0 }, { 172,   0 }, { 173,   0 }, { 174,   0 },
 { 175,   0 }, { 176,   0 }, { 177,   0 }, { 178,   0 }, { 179,   0 },
 { 180,   0 }, { 181,   0 }, { 182,   0 }, { 183,   0 }, { 184,   0 },
 { 185,   0 }, { 186,   0 }, { 187,   0 }, { 188,   0 }, { 189,   0 },
 { 190,   0 }, { 191,   0 }, { 192,   0 }, { 193,   0 }, { 194,   0 },
 { 195,   0 }, { 196,   0 }, { 197,   0 }, { 198,   0 }, { 199,   0 },
 { 200,   0 }, { 201,   0 }, { 202,   0 }, { 203,   0 }, { 204,   0 },
 { 205,   0 }, { 206,   0 }, { 207,   0 }, { 208,   0 }, { 209,   0 },

 { 210,   0 }, { 211,   0 }, { 212,   0 }, { 213,   0 }, { 214,   0 },
 { 215,   0 }, { 216,   0 }, { 217,   0 }, { 218,   0 }, { 219,   0 },
 { 220,   0 }, { 221,   0 }, { 222,   0 }, { 223,   0 }, { 224,   0 },
 { 225,   0 }, { 226,   0 }, { 227,   0 }, { 228,   0 }, { 229,   0 },
 { 230,   0 }, { 231,   0 }, { 232,   0 }, { 233,   0 }, { 234,   0 },
 { 235,   0 }, { 236,   0 }, { 237,   0 }, { 238,   0 }, { 239,   0 },
 { 240,   0 }, { 241,   0 }, { 242,   0 }, { 243,   0 }, { 244,   0 },
 { 245,   0 }, { 246,   0 }, { 247,   0 }, { 248,   0 }, { 249,   0 },
 { 250,   0 }, { 251,   0 }, { 252,   0 }, { 253,   0 }, { 254,   0 },
 { 255,   0 }, { 256,   0 }, {   0,  11 }, {   0,1847 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,1825 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,  11 }, {   0,1814 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  48,   0 }, {  49,   0 }, {  50,   0 }, {  51,   0 },

 {  52,   0 }, {  53,   0 }, {  54,   0 }, {  55,   0 }, {  56,   0 },
 {  57,   0 }, {   0,  14 }, {   0,1788 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  43, 188 }, {   0,   0 },
 {  45, 188 }, {   0,   0 }, {  69,  22 }, {  48,1232 }, {  49,1232 },
 {  50,1232 }, {  51,1232 }, {  52,1232 }, {  53,1232 }, {  54,1232 },
 {  55,1232 }, {  56,1232 }, {  57,1232 }, {   0,   0 }, {  48, -33 },
 {  49, -33 }, {  50, -33 }, {  51, -33 }, {  52, -33 }, {  53, -33 },
 {  54, -33 }, {  55, -33 }, {  56, -33 }, {  57, -33 }, {   0,   0 },
 {   0,1755 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, { 101,  22 },

 {  69, -11 }, {   0,   0 }, {   0,   0 }, {  46, -26 }, {   0,   0 },
 {  48,   0 }, {  49,   0 }, {  50,   0 }, {  51,   0 }, {  52,   0 },
 {  53,   0 }, {  54,   0 }, {  55,   0 }, {  56,   0 }, {  57,   0 },
 {   0,  15 }, {   0,1729 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  69,  33 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, { 101, -11 }, {  43,1194 }, {   0,   0 },
 {  45,1194 }, {   0,   0 }, {   0,   0 }, {  48,1204 }, {  49,1204 },
 {  50,1204 }, {  51,1204 }, {  52,1204 }, {  53,1204 }, {  54,1204 },
 {  55,1204 }, {  56,1204 }, {  57,1204 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, { 101,  33 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  48,   0 },
 {  49,   0 }, {  50,   0 }, {  51,   0 }, {  52,   0 }, {  53,   0 },
 {  54,   0 }, {  55,   0 }, {  56,   0 }, {  57,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  65,   0 }, {  66,   0 }, {  67,   0 }, {  68,   0 },
 {  69,   0 }, {  70,   0 }, {  71,   0 }, {  72,   0 }, {  73,   0 },
 {  74,   0 }, {  75,   0 }, {  76,   0 }, {  77,   0 }, {  78,   0 },
 {  79,   0 }, {  80,   0 }, {  81,   0 }, {  82,   0 }, {  83,   0 },

 {  84,   0 }, {  85,   0 }, {  86,   0 }, {  87,   0 }, {  88,   0 },
 {  89,   0 }, {  90,   0 }, {   0,   0 }, {   0,1637 }, {   0,   0 },
 {   0,   0 }, {  95,   0 }, {   0,   0 }, {  97,   0 }, {  98,   0 },
 {  99,   0 }, { 100,   0 }, { 101,   0 }, { 102,   0 }, { 103,   0 },
 { 104,   0 }, { 105,   0 }, { 106,   0 }, { 107,   0 }, { 108,   0 },
 { 109,   0 }, { 110,   0 }, { 111,   0 }, { 112,   0 }, { 113,   0 },
 { 114,   0 }, { 115,   0 }, { 116,   0 }, { 117,   0 }, { 118,   0 },
 { 119,   0 }, { 120,   0 }, { 121,   0 }, { 122,   0 }, {   0,  12 },
 {   0,1605 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  48,1044 }, {  49,1044 }, {  50,1044 }, {  51,1044 },
 {  52,1044 }, {  53,1044 }, {  54,1044 }, {  55,1044 }, {  56,1044 },
 {  57,1044 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  48,   0 }, {  49,   0 },
 {  50,   0 }, {  51,   0 }, {  52,   0 }, {  53,   0 }, {  54,   0 },
 {  55,   0 }, {  56,   0 }, {  57,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  65,-124 }, {  66,-124 }, {  67,-124 }, {  68,-124 }, {  69,-124 },
 {  70,-124 }, {  71,-124 }, {  72,-124 }, {  73,-124 }, {  74,-124 },
 {  75,-124 }, {  76,-124 }, {  77,-124 }, {  78,-124 }, {  79,-124 },
 {  80,-124 }, {  81,-124 }, {  82,-124 }, {  83,-124 }, {  84,-124 },
 {  85,-124 }, {  86,-124 }, {  87,-124 }, {  88,-124 }, {  89,-124 },
 {  90,-124 }, {   0,  15 }, {   0,1513 }, {   0,   0 }, {   0,   0 },
 {  95,-124 }, {   0,   0 }, {  97,-124 }, {  98,-124 }, {  99,-124 },
 { 100,-124 }, { 101,-124 }, { 102,-124 }, { 103,-124 }, { 104,-124 },
 { 105,-124 }, { 106,-124 }, { 107,-124 }, { 108,-124 }, { 109,-124 },

 { 110,-124 }, { 111,-124 }, { 112,-124 }, { 113,-124 }, { 114,-124 },
 { 115,-124 }, { 116,-124 }, { 117,-124 }, { 118,-124 }, { 119,-124 },
 { 120,-124 }, { 121,-124 }, { 122,-124 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  48,-216 }, {  49,-216 }, {  50,-216 }, {  51,-216 }, {  52,-216 },
 {  53,-216 }, {  54,-216 }, {  55,-216 }, {  56,-216 }, {  57,-216 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  65,-216 }, {  66,-216 }, {  67,-216 },

 {  68,-216 }, {  69,-216 }, {  70,-216 }, {  71,-216 }, {  72,-216 },
 {  73,-216 }, {  74,-216 }, {  75,-216 }, {  76,-216 }, {  77,-216 },
 {  78,-216 }, {  79,-216 }, {  80,-216 }, {  81,-216 }, {  82,-216 },
 {  83,-216 }, {  84,-216 }, {  85,-216 }, {  86,-216 }, {  87,-216 },
 {  88,-216 }, {  89,-216 }, {  90,-216 }, {   0,   3 }, {   0,1421 },
 {   0,   0 }, {   0,   0 }, {  95,-216 }, {   0,   0 }, {  97,-216 },
 {  98,-216 }, {  99,-216 }, { 100, 979 }, { 101,-216 }, { 102,-216 },
 { 103,-216 }, { 104,-216 }, { 105,-216 }, { 106,-216 }, { 107,-216 },
 { 108,-216 }, { 109,-216 }, { 110,-216 }, { 111,-216 }, { 112,-216 },
 { 113,-216 }, { 114,-216 }, { 115,-216 }, { 116,-216 }, { 117,-216 },

 { 118,-216 }, { 119,-216 }, { 120,-216 }, { 121,-216 }, { 122,-216 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  48,-308 }, {  49,-308 }, {  50,-308 },
 {  51,-308 }, {  52,-308 }, {  53,-308 }, {  54,-308 }, {  55,-308 },
 {  56,-308 }, {  57,-308 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  65,-308 },
 {  66,-308 }, {  67,-308 }, {  68,-308 }, {  69,-308 }, {  70,-308 },
 {  71,-308 }, {  72,-308 }, {  73,-308 }, {  74,-308 }, {  75,-308 },

 {  76,-308 }, {  77,-308 }, {  78,-308 }, {  79,-308 }, {  80,-308 },
 {  81,-308 }, {  82,-308 }, {  83,-308 }, {  84,-308 }, {  85,-308 },
 {  86,-308 }, {  87,-308 }, {  88,-308 }, {  89,-308 }, {  90,-308 },
 {   0,   5 }, {   0,1329 }, {   0,   0 }, {   0,   0 }, {  95,-308 },
 {   0,   0 }, {  97,-308 }, {  98,-308 }, {  99,-308 }, { 100,-308 },
 { 101,-308 }, { 102,-308 }, { 103,-308 }, { 104,-308 }, { 105,-308 },
 { 106,-308 }, { 107,-308 }, { 108,-308 }, { 109,-308 }, { 110,-308 },
 { 111,-308 }, { 112,-308 }, { 113,-308 }, { 114,-308 }, { 115,-308 },
 { 116,-308 }, { 117,-308 }, { 118,-308 }, { 119,-308 }, { 120,-308 },
 { 121,-308 }, { 122,-308 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  48,-400 },
 {  49,-400 }, {  50,-400 }, {  51,-400 }, {  52,-400 }, {  53,-400 },
 {  54,-400 }, {  55,-400 }, {  56,-400 }, {  57,-400 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  65,-400 }, {  66,-400 }, {  67,-400 }, {  68,-400 },
 {  69,-400 }, {  70,-400 }, {  71,-400 }, {  72,-400 }, {  73,-400 },
 {  74,-400 }, {  75,-400 }, {  76,-400 }, {  77,-400 }, {  78,-400 },
 {  79,-400 }, {  80,-400 }, {  81,-400 }, {  82,-400 }, {  83,-400 },

 {  84,-400 }, {  85,-400 }, {  86,-400 }, {  87,-400 }, {  88,-400 },
 {  89,-400 }, {  90,-400 }, {   0,   6 }, {   0,1237 }, {   0,   0 },
 {   0,   0 }, {  95,-400 }, {   0,   0 }, {  97,-400 }, {  98,-400 },
 {  99,-400 }, { 100,-400 }, { 101,-400 }, { 102,-400 }, { 103,-400 },
 { 104,-400 }, { 105,-400 }, { 106,-400 }, { 107,-400 }, { 108,-400 },
 { 109,-400 }, { 110,-400 }, { 111,-400 }, { 112,-400 }, { 113,-400 },
 { 114,-400 }, { 115,-400 }, { 116,-400 }, { 117,-400 }, { 118,-400 },
 { 119,-400 }, { 120,-400 }, { 121,-400 }, { 122,-400 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  48,-492 }, {  49,-492 }, {  50,-492 }, {  51,-492 },
 {  52,-492 }, {  53,-492 }, {  54,-492 }, {  55,-492 }, {  56,-492 },
 {  57,-492 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  65,-492 }, {  66,-492 },
 {  67,-492 }, {  68,-492 }, {  69,-492 }, {  70,-492 }, {  71,-492 },
 {  72,-492 }, {  73,-492 }, {  74,-492 }, {  75,-492 }, {  76,-492 },
 {  77,-492 }, {  78,-492 }, {  79,-492 }, {  80,-492 }, {  81,-492 },
 {  82,-492 }, {  83,-492 }, {  84,-492 }, {  85,-492 }, {  86,-492 },
 {  87,-492 }, {  88,-492 }, {  89,-492 }, {  90,-492 }, {   0,   7 },

 {   0,1145 }, {   0,   0 }, {   0,   0 }, {  95,-492 }, {   0,   0 },
 {  97,-492 }, {  98,-492 }, {  99,-492 }, { 100,-492 }, { 101,-492 },
 { 102,-492 }, { 103,-492 }, { 104,-492 }, { 105,-492 }, { 106,-492 },
 { 107,-492 }, { 108,-492 }, { 109,-492 }, { 110,-492 }, { 111,-492 },
 { 112,-492 }, { 113,-492 }, { 114,-492 }, { 115,-492 }, { 116,-492 },
 { 117,-492 }, { 118,-492 }, { 119,-492 }, { 120,-492 }, { 121,-492 },
 { 122,-492 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  48,-584 }, {  49,-584 },

 {  50,-584 }, {  51,-584 }, {  52,-584 }, {  53,-584 }, {  54,-584 },
 {  55,-584 }, {  56,-584 }, {  57,-584 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  65,-584 }, {  66,-584 }, {  67,-584 }, {  68,-584 }, {  69,-584 },
 {  70,-584 }, {  71,-584 }, {  72,-584 }, {  73,-584 }, {  74,-584 },
 {  75,-584 }, {  76,-584 }, {  77,-584 }, {  78,-584 }, {  79,-584 },
 {  80,-584 }, {  81,-584 }, {  82,-584 }, {  83,-584 }, {  84,-584 },
 {  85,-584 }, {  86,-584 }, {  87,-584 }, {  88,-584 }, {  89,-584 },
 {  90,-584 }, {   0,   8 }, {   0,1053 }, {   0,   0 }, {   0,   0 },
 {  95,-584 }, {   0,   0 }, {  97,-584 }, {  98,-584 }, {  99,-584 },

 { 100,-584 }, { 101,-584 }, { 102,-584 }, { 103,-584 }, { 104,-584 },
 { 105,-584 }, { 106,-584 }, { 107,-584 }, { 108,-584 }, { 109,-584 },
 { 110,-584 }, { 111,-584 }, { 112,-584 }, { 113,-584 }, { 114,-584 },
 { 115,-584 }, { 116,-584 }, { 117,-584 }, { 118,-584 }, { 119,-584 },
 { 120,-584 }, { 121,-584 }, { 122,-584 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  48,-676 }, {  49,-676 }, {  50,-676 }, {  51,-676 }, {  52,-676 },
 {  53,-676 }, {  54,-676 }, {  55,-676 }, {  56,-676 }, {  57,-676 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  65,-676 }, {  66,-676 }, {  67,-676 },
 {  68,-676 }, {  69,-676 }, {  70,-676 }, {  71,-676 }, {  72,-676 },
 {  73,-676 }, {  74,-676 }, {  75,-676 }, {  76,-676 }, {  77,-676 },
 {  78,-676 }, {  79,-676 }, {  80,-676 }, {  81,-676 }, {  82,-676 },
 {  83,-676 }, {  84,-676 }, {  85,-676 }, {  86,-676 }, {  87,-676 },
 {  88,-676 }, {  89,-676 }, {  90,-676 }, {   0,  15 }, {   0, 961 },
 {   0,   0 }, {   0,   0 }, {  95,-676 }, {   0,   0 }, {  97,-676 },
 {  98,-676 }, {  99,-676 }, { 100,-676 }, { 101,-676 }, { 102,-676 },
 { 103,-676 }, { 104,-676 }, { 105,-676 }, { 106,-676 }, { 107,-676 },

 { 108,-676 }, { 109,-676 }, { 110,-676 }, { 111,-676 }, { 112,-676 },
 { 113,-676 }, { 114,-676 }, { 115,-676 }, { 116,-676 }, { 117,-676 },
 { 118,-676 }, { 119,-676 }, { 120,-676 }, { 121,-676 }, { 122,-676 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  48,-768 }, {  49,-768 }, {  50,-768 },
 {  51,-768 }, {  52,-768 }, {  53,-768 }, {  54,-768 }, {  55,-768 },
 {  56,-768 }, {  57,-768 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  65,-768 },

 {  66,-768 }, {  67,-768 }, {  68,-768 }, {  69,-768 }, {  70,-768 },
 {  71,-768 }, {  72,-768 }, {  73,-768 }, {  74,-768 }, {  75,-768 },
 {  76,-768 }, {  77,-768 }, {  78,-768 }, {  79,-768 }, {  80,-768 },
 {  81,-768 }, {  82,-768 }, {  83,-768 }, {  84,-768 }, {  85,-768 },
 {  86,-768 }, {  87,-768 }, {  88,-768 }, {  89,-768 }, {  90,-768 },
 {   0,   4 }, {   0, 869 }, {   0,   0 }, {   0,   0 }, {  95,-768 },
 {   0,   0 }, {  97,-768 }, {  98,-768 }, {  99,-768 }, { 100,-768 },
 { 101,-768 }, { 102,-768 }, { 103,-768 }, { 104,-768 }, { 105,-768 },
 { 106,-768 }, { 107,-768 }, { 108,-768 }, { 109,-768 }, { 110,-768 },
 { 111,-768 }, { 112,-768 }, { 113,-768 }, { 114,-768 }, { 115,-768 },

 { 116, 519 }, { 117,-768 }, { 118,-768 }, { 119,-768 }, { 120,-768 },
 { 121,-768 }, { 122,-768 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  48,-860 },
 {  49,-860 }, {  50,-860 }, {  51,-860 }, {  52,-860 }, {  53,-860 },
 {  54,-860 }, {  55,-860 }, {  56,-860 }, {  57,-860 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  65,-860 }, {  66,-860 }, {  67,-860 }, {  68,-860 },
 {  69,-860 }, {  70,-860 }, {  71,-860 }, {  72,-860 }, {  73,-860 },

 {  74,-860 }, {  75,-860 }, {  76,-860 }, {  77,-860 }, {  78,-860 },
 {  79,-860 }, {  80,-860 }, {  81,-860 }, {  82,-860 }, {  83,-860 },
 {  84,-860 }, {  85,-860 }, {  86,-860 }, {  87,-860 }, {  88,-860 },
 {  89,-860 }, {  90,-860 }, {   0,  15 }, {   0, 777 }, {   0,   0 },
 {   0,   0 }, {  95,-860 }, {   0,   0 }, {  97,-860 }, {  98,-860 },
 {  99,-860 }, { 100,-860 }, { 101,-860 }, { 102,-860 }, { 103,-860 },
 { 104,-860 }, { 105,-860 }, { 106,-860 }, { 107,-860 }, { 108,-860 },
 { 109,-860 }, { 110,-860 }, { 111,-860 }, { 112,-860 }, { 113,-860 },
 { 114,-860 }, { 115,-860 }, { 116,-860 }, { 117,-860 }, { 118,-860 },
 { 119,-860 }, { 120,-860 }, { 121,-860 }, { 122,-860 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  48,-952 }, {  49,-952 }, {  50,-952 }, {  51,-952 },
 {  52,-952 }, {  53,-952 }, {  54,-952 }, {  55,-952 }, {  56,-952 },
 {  57,-952 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  65,-952 }, {  66,-952 },
 {  67,-952 }, {  68,-952 }, {  69,-952 }, {  70,-952 }, {  71,-952 },
 {  72,-952 }, {  73,-952 }, {  74,-952 }, {  75,-952 }, {  76,-952 },
 {  77,-952 }, {  78,-952 }, {  79,-952 }, {  80,-952 }, {  81,-952 },

 {  82,-952 }, {  83,-952 }, {  84,-952 }, {  85,-952 }, {  86,-952 },
 {  87,-952 }, {  88,-952 }, {  89,-952 }, {  90,-952 }, {   0,   2 },
 {   0, 685 }, {   0,   0 }, {   0,   0 }, {  95,-952 }, {   0,   0 },
 {  97, 427 }, {  98,-952 }, {  99,-952 }, { 100,-952 }, { 101,-952 },
 { 102,-952 }, { 103,-952 }, { 104,-952 }, { 105,-952 }, { 106,-952 },
 { 107,-952 }, { 108,-952 }, { 109,-952 }, { 110,-952 }, { 111,-952 },
 { 112,-952 }, { 113,-952 }, { 114,-952 }, { 115,-952 }, { 116,-952 },
 { 117,-952 }, { 118,-952 }, { 119,-952 }, { 120,-952 }, { 121,-952 },
 { 122,-952 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  48,-1044 }, {  49,-1044 },
 {  50,-1044 }, {  51,-1044 }, {  52,-1044 }, {  53,-1044 }, {  54,-1044 },
 {  55,-1044 }, {  56,-1044 }, {  57,-1044 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  65,-1044 }, {  66,-1044 }, {  67,-1044 }, {  68,-1044 }, {  69,-1044 },
 {  70,-1044 }, {  71,-1044 }, {  72,-1044 }, {  73,-1044 }, {  74,-1044 },
 {  75,-1044 }, {  76,-1044 }, {  77,-1044 }, {  78,-1044 }, {  79,-1044 },
 {  80,-1044 }, {  81,-1044 }, {  82,-1044 }, {  83,-1044 }, {  84,-1044 },
 {  85,-1044 }, {  86,-1044 }, {  87,-1044 }, {  88,-1044 }, {  89,-1044 },

 {  90,-1044 }, {   0,  12 }, {   0, 593 }, {   0,   0 }, {   0,   0 },
 {  95,-1044 }, {   0,   0 }, {  97,-1044 }, {  98,-1044 }, {  99,-1044 },
 { 100,-1044 }, { 101,-1044 }, { 102,-1044 }, { 103,-1044 }, { 104,-1044 },
 { 105,-1044 }, { 106,-1044 }, { 107,-1044 }, { 108,-1044 }, { 109,-1044 },
 { 110,-1044 }, { 111,-1044 }, { 112,-1044 }, { 113,-1044 }, { 114,-1044 },
 { 115,-1044 }, { 116,-1044 }, { 117,-1044 }, { 118,-1044 }, { 119,-1044 },
 { 120,-1044 }, { 121,-1044 }, { 122,-1044 }, {   0,   0 }, {   0, 561 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,  13 }, {   0, 551 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {  48,   0 }, {  49,   0 }, {  50,   0 }, {  51,   0 }, {  52,   0 },
 {  53,   0 }, {  54,   0 }, {  55,   0 }, {  56,   0 }, {  57,   0 },
 {   0,   1 }, {   0, 534 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  48,  10 }, {  49,  10 }, {  50,  10 },
 {  51,  10 }, {  52,  10 }, {  53,  10 }, {  54,  10 }, {  55,  10 },
 {  56,  10 }, {  57,  10 }, {  48,   0 }, {  49,   0 }, {  50,   0 },
 {  51,   0 }, {  52,   0 }, {  53,   0 }, {  54,   0 }, {  55,   0 },

 {  56,   0 }, {  57,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {  48,-1195 },
 {  49,-1195 }, {  50,-1195 }, {  51,-1195 }, {  52,-1195 }, {  53,-1195 },
 {  54,-1195 }, {  55,-1195 }, {  56,-1195 }, {  57,-1195 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {  65,-1195 }, {  66,-1195 }, {  67,-1195 }, {  68,-1195 },
 {  69,-1195 }, {  70,-1195 }, {  71,-1195 }, {  72,-1195 }, {  73,-1195 },
 {  74,-1195 }, {  75,-1195 }, {  76,-1195 }, {  77,-1195 }, {  78,-1195 },
 {  79,-1195 }, {  80,-1195 }, {  81,-1195 }, {  82,-1195 }, {  83,-1195 },
 {  84,-1195 }, {  85,-1195 }, {  86,-1195 }, {  87,-1195 }, {  88,-1195 },

 {  89,-1195 }, {  90,-1195 }, {   0,   9 }, {   0, 442 }, {   0,   0 },
 {   0,   0 }, {  95,-1195 }, {   0,   0 }, {  97,-1195 }, {  98,-1195 },
 {  99,-1195 }, { 100,-1195 }, { 101,-1195 }, { 102,-1195 }, { 103,-1195 },
 { 104,-1195 }, { 105,-1195 }, { 106,-1195 }, { 107,-1195 }, { 108,-1195 },
 { 109,-1195 }, { 110,-1195 }, { 111,-1195 }, { 112,-1195 }, { 113,-1195 },
 { 114,-1195 }, { 115,-1195 }, { 116,-1195 }, { 117,-1195 }, { 118,-1195 },
 { 119,-1195 }, { 120,-1195 }, { 121,-1195 }, { 122,-1195 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {  48,-1287 }, {  49,-1287 }, {  50,-1287 }, {  51,-1287 },
 {  52,-1287 }, {  53,-1287 }, {  54,-1287 }, {  55,-1287 }, {  56,-1287 },
 {  57,-1287 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  65,-1287 }, {  66,-1287 },
 {  67,-1287 }, {  68,-1287 }, {  69,-1287 }, {  70,-1287 }, {  71,-1287 },
 {  72,-1287 }, {  73,-1287 }, {  74,-1287 }, {  75,-1287 }, {  76,-1287 },
 {  77,-1287 }, {  78,-1287 }, {  79,-1287 }, {  80,-1287 }, {  81,-1287 },
 {  82,-1287 }, {  83,-1287 }, {  84,-1287 }, {  85,-1287 }, {  86,-1287 },
 {  87,-1287 }, {  88,-1287 }, {  89,-1287 }, {  90,-1287 }, {   0,  15 },
 {   0, 350 }, {   0,   0 }, {   0,   0 }, {  95,-1287 }, {   0,   0 },

 {  97,-1287 }, {  98,-1287 }, {  99,-1287 }, { 100,-1287 }, { 101,-1287 },
 { 102,-1287 }, { 103,-1287 }, { 104,-1287 }, { 105,-1287 }, { 106,-1287 },
 { 107,-1287 }, { 108,-1287 }, { 109,-1287 }, { 110,-1287 }, { 111,-1287 },
 { 112,-1287 }, { 113,-1287 }, { 114,-1287 }, { 115,-1287 }, { 116,-1287 },
 { 117,-1287 }, { 118,-1287 }, { 119,-1287 }, { 120,-1287 }, { 121,-1287 },
 { 122,-1287 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {  48,-1379 }, {  49,-1379 },
 {  50,-1379 }, {  51,-1379 }, {  52,-1379 }, {  53,-1379 }, {  54,-1379 },

 {  55,-1379 }, {  56,-1379 }, {  57,-1379 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  65,-1379 }, {  66,-1379 }, {  67,-1379 }, {  68,-1379 }, {  69,-1379 },
 {  70,-1379 }, {  71,-1379 }, {  72,-1379 }, {  73,-1379 }, {  74,-1379 },
 {  75,-1379 }, {  76,-1379 }, {  77,-1379 }, {  78,-1379 }, {  79,-1379 },
 {  80,-1379 }, {  81,-1379 }, {  82,-1379 }, {  83,-1379 }, {  84,-1379 },
 {  85,-1379 }, {  86,-1379 }, {  87,-1379 }, {  88,-1379 }, {  89,-1379 },
 {  90,-1379 }, {   0,  10 }, {   0, 258 }, {   0,   0 }, {   0,   0 },
 {  95,-1379 }, {   0,   0 }, {  97,-1379 }, {  98,-1379 }, {  99,-1379 },
 { 100,-1379 }, { 101,-1379 }, { 102,-1379 }, { 103,-1379 }, { 104,-1379 },

 { 105,-1379 }, { 106,-1379 }, { 107,-1379 }, { 108,-1379 }, { 109,-1379 },
 { 110,-1379 }, { 111,-1379 }, { 112,-1379 }, { 113,-1379 }, { 114,-1379 },
 { 115,-1379 }, { 116,  92 }, { 117,-1379 }, { 118,-1379 }, { 119,-1379 },
 { 120,-1379 }, { 121,-1379 }, { 122,-1379 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {  48,-1471 }, {  49,-1471 }, {  50,-1471 }, {  51,-1471 }, {  52,-1471 },
 {  53,-1471 }, {  54,-1471 }, {  55,-1471 }, {  56,-1471 }, {  57,-1471 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {  65,-1471 }, {  66,-1471 }, {  67,-1471 },
 {  68,-1471 }, {  69,-1471 }, {  70,-1471 }, {  71,-1471 }, {  72,-1471 },
 {  73,-1471 }, {  74,-1471 }, {  75,-1471 }, {  76,-1471 }, {  77,-1471 },
 {  78,-1471 }, {  79,-1471 }, {  80,-1471 }, {  81,-1471 }, {  82,-1471 },
 {  83,-1471 }, {  84,-1471 }, {  85,-1471 }, {  86,-1471 }, {  87,-1471 },
 {  88,-1471 }, {  89,-1471 }, {  90,-1471 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {  95,-1471 }, {   0,   0 }, {  97,-1471 },
 {  98,-1471 }, {  99,-1471 }, { 100,-1471 }, { 101,-1471 }, { 102,-1471 },
 { 103,-1471 }, { 104,-1471 }, { 105,-1471 }, { 106,-1471 }, { 107,-1471 },
 { 108,-1471 }, { 109,-1471 }, { 110,-1471 }, { 111,-1471 }, { 112,-1471 },

 { 113,-1471 }, { 114,-1471 }, { 115,-1471 }, { 116,-1471 }, { 117,-1471 },
 { 118,-1471 }, { 119,-1471 }, { 120,-1471 }, { 121,-1471 }, { 122,-1471 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },

 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 },
 {   0,   0 }, {   0,   0 }, {   0,   0 }, {   0,   0 }, { 257,  22 },
 {   1,   0 },    };

static yyconst struct yy_trans_info *yy_start_state_list[3] =
    {
    &yy_transition[1],
    &yy_transition[3],
    &yy_transition[261],


    } ;

static yy_state_type yy_last_accepting_state;
static char *yy_last_accepting_cpos;

/* The intent behind this definition is that it'll catch
 * any uses of REJECT which flex missed.
 */
#define REJECT reject_used_but_not_detected
#define yymore() yymore_used_but_not_detected
#define YY_MORE_ADJ 0
#define YY_RESTORE_YY_MORE_OFFSET
char *yytext;
#line 1 "vars-parser-lex.l"
#define INITIAL 0
#line 2 "vars-parser-lex.l"
/* Expression scanner */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>

#include "vars-buffer.h"
#include "vars-config.h"
#include "vars-parser-lex.h"
#include "vars-parser-yacc.h"

#define parserwrap() 1

static YY_BUFFER_STATE string;
int scanner_line = 0;
static vbuffer *sbuf = NULL;

#line 1223 "vars-parser-lex.c"

/* Macros after this point can all be overridden by user definitions in
 * section 1.
 */

#ifndef YY_SKIP_YYWRAP
#ifdef __cplusplus
extern "C" int yywrap YY_PROTO(( void ));
#else
extern int yywrap YY_PROTO(( void ));
#endif
#endif

#ifndef YY_NO_UNPUT
static void yyunput YY_PROTO(( int c, char *buf_ptr ));
#endif

#ifndef yytext_ptr
static void yy_flex_strncpy YY_PROTO(( char *, yyconst char *, int ));
#endif

#ifdef YY_NEED_STRLEN
static int yy_flex_strlen YY_PROTO(( yyconst char * ));
#endif

#ifndef YY_NO_INPUT
#ifdef __cplusplus
static int yyinput YY_PROTO(( void ));
#else
static int input YY_PROTO(( void ));
#endif
#endif

#if YY_STACK_USED
static int yy_start_stack_ptr = 0;
static int yy_start_stack_depth = 0;
static int *yy_start_stack = 0;
#ifndef YY_NO_PUSH_STATE
static void yy_push_state YY_PROTO(( int new_state ));
#endif
#ifndef YY_NO_POP_STATE
static void yy_pop_state YY_PROTO(( void ));
#endif
#ifndef YY_NO_TOP_STATE
static int yy_top_state YY_PROTO(( void ));
#endif

#else
#define YY_NO_PUSH_STATE 1
#define YY_NO_POP_STATE 1
#define YY_NO_TOP_STATE 1
#endif

#ifdef YY_MALLOC_DECL
YY_MALLOC_DECL
#else
#if __STDC__
#ifndef __cplusplus
#include <stdlib.h>
#endif
#else
/* Just try to get by without declaring the routines.  This will fail
 * miserably on non-ANSI systems for which sizeof(size_t) != sizeof(int)
 * or sizeof(void*) != sizeof(int).
 */
#endif
#endif

/* Amount of stuff to slurp up with each read. */
#ifndef YY_READ_BUF_SIZE
#define YY_READ_BUF_SIZE 8192
#endif

/* Copy whatever the last rule matched to the standard output. */

#ifndef ECHO
/* This used to be an fputs(), but since the string might contain NUL's,
 * we now use fwrite().
 */
#define ECHO (void) fwrite( yytext, yyleng, 1, yyout )
#endif

/* Gets input and stuffs it into "buf".  number of characters read, or YY_NULL,
 * is returned in "result".
 */
#ifndef YY_INPUT
#define YY_INPUT(buf,result,max_size) \
	if ( yy_current_buffer->yy_is_interactive ) \
		{ \
		int c = '*', n; \
		for ( n = 0; n < max_size && \
			     (c = getc( yyin )) != EOF && c != '\n'; ++n ) \
			buf[n] = (char) c; \
		if ( c == '\n' ) \
			buf[n++] = (char) c; \
		if ( c == EOF && ferror( yyin ) ) \
			YY_FATAL_ERROR( "input in flex scanner failed" ); \
		result = n; \
		} \
	else if ( ((result = fread( buf, 1, max_size, yyin )) == 0) \
		  && ferror( yyin ) ) \
		YY_FATAL_ERROR( "input in flex scanner failed" );
#endif

/* No semi-colon after return; correct usage is to write "yyterminate();" -
 * we don't want an extra ';' after the "return" because that will cause
 * some compilers to complain about unreachable statements.
 */
#ifndef yyterminate
#define yyterminate() return YY_NULL
#endif

/* Number of entries by which start-condition stack grows. */
#ifndef YY_START_STACK_INCR
#define YY_START_STACK_INCR 25
#endif

/* Report a fatal error. */
#ifndef YY_FATAL_ERROR
#define YY_FATAL_ERROR(msg) yy_fatal_error( msg )
#endif

/* Default declaration of generated scanner - a define so the user can
 * easily add parameters.
 */
#ifndef YY_DECL
#define YY_DECL int yylex YY_PROTO(( void ))
#endif

/* Code executed at the beginning of each rule, after yytext and yyleng
 * have been set up.
 */
#ifndef YY_USER_ACTION
#define YY_USER_ACTION
#endif

/* Code executed at the end of each rule. */
#ifndef YY_BREAK
#define YY_BREAK break;
#endif

#define YY_RULE_SETUP \
	YY_USER_ACTION

YY_DECL
	{
	register yy_state_type yy_current_state;
	register char *yy_cp = NULL, *yy_bp = NULL;
	register int yy_act;

#line 29 "vars-parser-lex.l"


#line 1377 "vars-parser-lex.c"

	if ( yy_init )
		{
		yy_init = 0;

#ifdef YY_USER_INIT
		YY_USER_INIT;
#endif

		if ( ! yy_start )
			yy_start = 1;	/* first start state */

		if ( ! yyin )
			yyin = stdin;

		if ( ! yyout )
			yyout = stdout;

		if ( ! yy_current_buffer )
			yy_current_buffer =
				yy_create_buffer( yyin, YY_BUF_SIZE );

		yy_load_buffer_state();
		}

	while ( 1 )		/* loops until end-of-file is reached */
		{
		yy_cp = yy_c_buf_p;

		/* Support of yytext. */
		*yy_cp = yy_hold_char;

		/* yy_bp points to the position in yy_ch_buf of the start of
		 * the current run.
		 */
		yy_bp = yy_cp;

		yy_current_state = yy_start_state_list[yy_start];
yy_match:
		{
		register yyconst struct yy_trans_info *yy_trans_info;

		register YY_CHAR yy_c;

		for ( yy_c = YY_SC_TO_UI(*yy_cp);
		      (yy_trans_info = &yy_current_state[(unsigned int) yy_c])->
		yy_verify == yy_c;
		      yy_c = YY_SC_TO_UI(*++yy_cp) )
			{
			yy_current_state += yy_trans_info->yy_nxt;

			if ( yy_current_state[-1].yy_nxt )
				{
				yy_last_accepting_state = yy_current_state;
				yy_last_accepting_cpos = yy_cp;
				}
			}
		}

yy_find_action:
		yy_act = yy_current_state[-1].yy_nxt;

		YY_DO_BEFORE_ACTION;


do_action:	/* This label is used only to access EOF actions. */


		switch ( yy_act )
	{ /* beginning of action switch */
			case 0: /* must back up */
			/* undo the effects of YY_DO_BEFORE_ACTION */
			*yy_cp = yy_hold_char;
			yy_cp = yy_last_accepting_cpos + 1;
			yy_current_state = yy_last_accepting_state;
			goto yy_find_action;

case 1:
YY_RULE_SETUP
#line 31 "vars-parser-lex.l"
{ return AND; }
	YY_BREAK
case 2:
YY_RULE_SETUP
#line 32 "vars-parser-lex.l"
{ return OR; }
	YY_BREAK
case 3:
YY_RULE_SETUP
#line 34 "vars-parser-lex.l"
{ return EQ; }
	YY_BREAK
case 4:
YY_RULE_SETUP
#line 35 "vars-parser-lex.l"
{ return NE; }
	YY_BREAK
case 5:
YY_RULE_SETUP
#line 37 "vars-parser-lex.l"
{ return GE; }
	YY_BREAK
case 6:
YY_RULE_SETUP
#line 38 "vars-parser-lex.l"
{ return GT; }
	YY_BREAK
case 7:
YY_RULE_SETUP
#line 40 "vars-parser-lex.l"
{ return LE; }
	YY_BREAK
case 8:
YY_RULE_SETUP
#line 41 "vars-parser-lex.l"
{ return LT; }
	YY_BREAK
case 9:
YY_RULE_SETUP
#line 43 "vars-parser-lex.l"
{ return MAT; } 
	YY_BREAK
case 10:
YY_RULE_SETUP
#line 44 "vars-parser-lex.l"
{ return NMAT; } 
	YY_BREAK
case 11:
#line 47 "vars-parser-lex.l"
case 12:
#line 48 "vars-parser-lex.l"
case 13:
YY_RULE_SETUP
#line 48 "vars-parser-lex.l"
{
    /* Real number */
    yylval = vs_dcreate(atof(yytext));
    return VALUE;
} 
	YY_BREAK
case 14:
YY_RULE_SETUP
#line 54 "vars-parser-lex.l"
{
    /* Integer */
    yylval = vs_icreate(atoi(yytext));
    return VALUE;
}
	YY_BREAK
case 15:
YY_RULE_SETUP
#line 60 "vars-parser-lex.l"
{
    /* Variable */
    yylval = vs_screate(yytext);
    return ID;
}
	YY_BREAK
case 16:
YY_RULE_SETUP
#line 66 "vars-parser-lex.l"
{
    /* Quoted string */
    int c, quote = 0;

    /* Initialise */
    vb_init(sbuf);

    /* Slurp string in, one char at a time */
    while (1) {
        c = input();

        if        (c == EOF) {
            yyerror("unterminated string");
            break;
        } else if (c == '"' && !quote) {
            break;
        } else if (c == '\\' && !quote) {
            quote = 1;
            continue;
        } else {
            vb_putc(sbuf, c);
            if (c == '\n')
                scanner_line++;
        }

        quote = 0;
    }

    yylval = vs_screate(vb_get(sbuf));
    return VALUE;
}
	YY_BREAK
case 17:
YY_RULE_SETUP
#line 98 "vars-parser-lex.l"
{
    /* Comment */
}
	YY_BREAK
case 18:
YY_RULE_SETUP
#line 102 "vars-parser-lex.l"
{
    /* Whitespace */
}
	YY_BREAK
case 19:
YY_RULE_SETUP
#line 106 "vars-parser-lex.l"
{
    /* Newline */
    scanner_line++;
    return yytext[0];
}
	YY_BREAK
case 20:
YY_RULE_SETUP
#line 112 "vars-parser-lex.l"
{
    /* Single character */
    return yytext[0];
}
	YY_BREAK
case 21:
YY_RULE_SETUP
#line 117 "vars-parser-lex.l"
ECHO;
	YY_BREAK
#line 1607 "vars-parser-lex.c"
case YY_STATE_EOF(INITIAL):
	yyterminate();

	case YY_END_OF_BUFFER:
		{
		/* Amount of text matched not including the EOB char. */
		int yy_amount_of_matched_text = (int) (yy_cp - yytext_ptr) - 1;

		/* Undo the effects of YY_DO_BEFORE_ACTION. */
		*yy_cp = yy_hold_char;
		YY_RESTORE_YY_MORE_OFFSET

		if ( yy_current_buffer->yy_buffer_status == YY_BUFFER_NEW )
			{
			/* We're scanning a new file or input source.  It's
			 * possible that this happened because the user
			 * just pointed yyin at a new source and called
			 * yylex().  If so, then we have to assure
			 * consistency between yy_current_buffer and our
			 * globals.  Here is the right place to do so, because
			 * this is the first action (other than possibly a
			 * back-up) that will match for the new input source.
			 */
			yy_n_chars = yy_current_buffer->yy_n_chars;
			yy_current_buffer->yy_input_file = yyin;
			yy_current_buffer->yy_buffer_status = YY_BUFFER_NORMAL;
			}

		/* Note that here we test for yy_c_buf_p "<=" to the position
		 * of the first EOB in the buffer, since yy_c_buf_p will
		 * already have been incremented past the NUL character
		 * (since all states make transitions on EOB to the
		 * end-of-buffer state).  Contrast this with the test
		 * in input().
		 */
		if ( yy_c_buf_p <= &yy_current_buffer->yy_ch_buf[yy_n_chars] )
			{ /* This was really a NUL. */
			yy_state_type yy_next_state;

			yy_c_buf_p = yytext_ptr + yy_amount_of_matched_text;

			yy_current_state = yy_get_previous_state();

			/* Okay, we're now positioned to make the NUL
			 * transition.  We couldn't have
			 * yy_get_previous_state() go ahead and do it
			 * for us because it doesn't know how to deal
			 * with the possibility of jamming (and we don't
			 * want to build jamming into it because then it
			 * will run more slowly).
			 */

			yy_next_state = yy_try_NUL_trans( yy_current_state );

			yy_bp = yytext_ptr + YY_MORE_ADJ;

			if ( yy_next_state )
				{
				/* Consume the NUL. */
				yy_cp = ++yy_c_buf_p;
				yy_current_state = yy_next_state;
				goto yy_match;
				}

			else
				{
				yy_cp = yy_c_buf_p;
				goto yy_find_action;
				}
			}

		else switch ( yy_get_next_buffer() )
			{
			case EOB_ACT_END_OF_FILE:
				{
				yy_did_buffer_switch_on_eof = 0;

				if ( yywrap() )
					{
					/* Note: because we've taken care in
					 * yy_get_next_buffer() to have set up
					 * yytext, we can now set up
					 * yy_c_buf_p so that if some total
					 * hoser (like flex itself) wants to
					 * call the scanner after we return the
					 * YY_NULL, it'll still work - another
					 * YY_NULL will get returned.
					 */
					yy_c_buf_p = yytext_ptr + YY_MORE_ADJ;

					yy_act = YY_STATE_EOF(YY_START);
					goto do_action;
					}

				else
					{
					if ( ! yy_did_buffer_switch_on_eof )
						YY_NEW_FILE;
					}
				break;
				}

			case EOB_ACT_CONTINUE_SCAN:
				yy_c_buf_p =
					yytext_ptr + yy_amount_of_matched_text;

				yy_current_state = yy_get_previous_state();

				yy_cp = yy_c_buf_p;
				yy_bp = yytext_ptr + YY_MORE_ADJ;
				goto yy_match;

			case EOB_ACT_LAST_MATCH:
				yy_c_buf_p =
				&yy_current_buffer->yy_ch_buf[yy_n_chars];

				yy_current_state = yy_get_previous_state();

				yy_cp = yy_c_buf_p;
				yy_bp = yytext_ptr + YY_MORE_ADJ;
				goto yy_find_action;
			}
		break;
		}

	default:
		YY_FATAL_ERROR(
			"fatal flex scanner internal error--no action found" );
	} /* end of action switch */
		} /* end of scanning one token */
	} /* end of yylex */


/* yy_get_next_buffer - try to read in a new buffer
 *
 * Returns a code representing an action:
 *	EOB_ACT_LAST_MATCH -
 *	EOB_ACT_CONTINUE_SCAN - continue scanning from current position
 *	EOB_ACT_END_OF_FILE - end of file
 */

static int yy_get_next_buffer()
	{
	register char *dest = yy_current_buffer->yy_ch_buf;
	register char *source = yytext_ptr;
	register int number_to_move, i;
	int ret_val;

	if ( yy_c_buf_p > &yy_current_buffer->yy_ch_buf[yy_n_chars + 1] )
		YY_FATAL_ERROR(
		"fatal flex scanner internal error--end of buffer missed" );

	if ( yy_current_buffer->yy_fill_buffer == 0 )
		{ /* Don't try to fill the buffer, so this is an EOF. */
		if ( yy_c_buf_p - yytext_ptr - YY_MORE_ADJ == 1 )
			{
			/* We matched a single character, the EOB, so
			 * treat this as a final EOF.
			 */
			return EOB_ACT_END_OF_FILE;
			}

		else
			{
			/* We matched some text prior to the EOB, first
			 * process it.
			 */
			return EOB_ACT_LAST_MATCH;
			}
		}

	/* Try to read more data. */

	/* First move last chars to start of buffer. */
	number_to_move = (int) (yy_c_buf_p - yytext_ptr) - 1;

	for ( i = 0; i < number_to_move; ++i )
		*(dest++) = *(source++);

	if ( yy_current_buffer->yy_buffer_status == YY_BUFFER_EOF_PENDING )
		/* don't do the read, it's not guaranteed to return an EOF,
		 * just force an EOF
		 */
		yy_current_buffer->yy_n_chars = yy_n_chars = 0;

	else
		{
		int num_to_read =
			yy_current_buffer->yy_buf_size - number_to_move - 1;

		while ( num_to_read <= 0 )
			{ /* Not enough room in the buffer - grow it. */
#ifdef YY_USES_REJECT
			YY_FATAL_ERROR(
"input buffer overflow, can't enlarge buffer because scanner uses REJECT" );
#else

			/* just a shorter name for the current buffer */
			YY_BUFFER_STATE b = yy_current_buffer;

			int yy_c_buf_p_offset =
				(int) (yy_c_buf_p - b->yy_ch_buf);

			if ( b->yy_is_our_buffer )
				{
				int new_size = b->yy_buf_size * 2;

				if ( new_size <= 0 )
					b->yy_buf_size += b->yy_buf_size / 8;
				else
					b->yy_buf_size *= 2;

				b->yy_ch_buf = (char *)
					/* Include room in for 2 EOB chars. */
					yy_flex_realloc( (void *) b->yy_ch_buf,
							 b->yy_buf_size + 2 );
				}
			else
				/* Can't grow it, we don't own it. */
				b->yy_ch_buf = 0;

			if ( ! b->yy_ch_buf )
				YY_FATAL_ERROR(
				"fatal error - scanner input buffer overflow" );

			yy_c_buf_p = &b->yy_ch_buf[yy_c_buf_p_offset];

			num_to_read = yy_current_buffer->yy_buf_size -
						number_to_move - 1;
#endif
			}

		if ( num_to_read > YY_READ_BUF_SIZE )
			num_to_read = YY_READ_BUF_SIZE;

		/* Read in more data. */
		YY_INPUT( (&yy_current_buffer->yy_ch_buf[number_to_move]),
			yy_n_chars, num_to_read );

		yy_current_buffer->yy_n_chars = yy_n_chars;
		}

	if ( yy_n_chars == 0 )
		{
		if ( number_to_move == YY_MORE_ADJ )
			{
			ret_val = EOB_ACT_END_OF_FILE;
			yyrestart( yyin );
			}

		else
			{
			ret_val = EOB_ACT_LAST_MATCH;
			yy_current_buffer->yy_buffer_status =
				YY_BUFFER_EOF_PENDING;
			}
		}

	else
		ret_val = EOB_ACT_CONTINUE_SCAN;

	yy_n_chars += number_to_move;
	yy_current_buffer->yy_ch_buf[yy_n_chars] = YY_END_OF_BUFFER_CHAR;
	yy_current_buffer->yy_ch_buf[yy_n_chars + 1] = YY_END_OF_BUFFER_CHAR;

	yytext_ptr = &yy_current_buffer->yy_ch_buf[0];

	return ret_val;
	}


/* yy_get_previous_state - get the state just before the EOB char was reached */

static yy_state_type yy_get_previous_state()
	{
	register yy_state_type yy_current_state;
	register char *yy_cp;

	yy_current_state = yy_start_state_list[yy_start];

	for ( yy_cp = yytext_ptr + YY_MORE_ADJ; yy_cp < yy_c_buf_p; ++yy_cp )
		{
		yy_current_state += yy_current_state[(*yy_cp ? YY_SC_TO_UI(*yy_cp) : 256)].yy_nxt;
		if ( yy_current_state[-1].yy_nxt )
			{
			yy_last_accepting_state = yy_current_state;
			yy_last_accepting_cpos = yy_cp;
			}
		}

	return yy_current_state;
	}


/* yy_try_NUL_trans - try to make a transition on the NUL character
 *
 * synopsis
 *	next_state = yy_try_NUL_trans( current_state );
 */

#ifdef YY_USE_PROTOS
static yy_state_type yy_try_NUL_trans( yy_state_type yy_current_state )
#else
static yy_state_type yy_try_NUL_trans( yy_current_state )
yy_state_type yy_current_state;
#endif
	{
	register int yy_is_jam;
	register char *yy_cp = yy_c_buf_p;

	register int yy_c = 256;
	register yyconst struct yy_trans_info *yy_trans_info;

	yy_trans_info = &yy_current_state[(unsigned int) yy_c];
	yy_current_state += yy_trans_info->yy_nxt;
	yy_is_jam = (yy_trans_info->yy_verify != yy_c);

	if ( ! yy_is_jam )
		{
		if ( yy_current_state[-1].yy_nxt )
			{
			yy_last_accepting_state = yy_current_state;
			yy_last_accepting_cpos = yy_cp;
			}
		}

	return yy_is_jam ? 0 : yy_current_state;
	}


#ifndef YY_NO_UNPUT
#ifdef YY_USE_PROTOS
static void yyunput( int c, register char *yy_bp )
#else
static void yyunput( c, yy_bp )
int c;
register char *yy_bp;
#endif
	{
	register char *yy_cp = yy_c_buf_p;

	/* undo effects of setting up yytext */
	*yy_cp = yy_hold_char;

	if ( yy_cp < yy_current_buffer->yy_ch_buf + 2 )
		{ /* need to shift things up to make room */
		/* +2 for EOB chars. */
		register int number_to_move = yy_n_chars + 2;
		register char *dest = &yy_current_buffer->yy_ch_buf[
					yy_current_buffer->yy_buf_size + 2];
		register char *source =
				&yy_current_buffer->yy_ch_buf[number_to_move];

		while ( source > yy_current_buffer->yy_ch_buf )
			*--dest = *--source;

		yy_cp += (int) (dest - source);
		yy_bp += (int) (dest - source);
		yy_current_buffer->yy_n_chars =
			yy_n_chars = yy_current_buffer->yy_buf_size;

		if ( yy_cp < yy_current_buffer->yy_ch_buf + 2 )
			YY_FATAL_ERROR( "flex scanner push-back overflow" );
		}

	*--yy_cp = (char) c;


	yytext_ptr = yy_bp;
	yy_hold_char = *yy_cp;
	yy_c_buf_p = yy_cp;
	}
#endif	/* ifndef YY_NO_UNPUT */


#ifdef __cplusplus
static int yyinput()
#else
static int input()
#endif
	{
	int c;

	*yy_c_buf_p = yy_hold_char;

	if ( *yy_c_buf_p == YY_END_OF_BUFFER_CHAR )
		{
		/* yy_c_buf_p now points to the character we want to return.
		 * If this occurs *before* the EOB characters, then it's a
		 * valid NUL; if not, then we've hit the end of the buffer.
		 */
		if ( yy_c_buf_p < &yy_current_buffer->yy_ch_buf[yy_n_chars] )
			/* This was really a NUL. */
			*yy_c_buf_p = '\0';

		else
			{ /* need more input */
			int offset = yy_c_buf_p - yytext_ptr;
			++yy_c_buf_p;

			switch ( yy_get_next_buffer() )
				{
				case EOB_ACT_LAST_MATCH:
					/* This happens because yy_g_n_b()
					 * sees that we've accumulated a
					 * token and flags that we need to
					 * try matching the token before
					 * proceeding.  But for input(),
					 * there's no matching to consider.
					 * So convert the EOB_ACT_LAST_MATCH
					 * to EOB_ACT_END_OF_FILE.
					 */

					/* Reset buffer status. */
					yyrestart( yyin );

					/* fall through */

				case EOB_ACT_END_OF_FILE:
					{
					if ( yywrap() )
						return EOF;

					if ( ! yy_did_buffer_switch_on_eof )
						YY_NEW_FILE;
#ifdef __cplusplus
					return yyinput();
#else
					return input();
#endif
					}

				case EOB_ACT_CONTINUE_SCAN:
					yy_c_buf_p = yytext_ptr + offset;
					break;
				}
			}
		}

	c = *(unsigned char *) yy_c_buf_p;	/* cast for 8-bit char's */
	*yy_c_buf_p = '\0';	/* preserve yytext */
	yy_hold_char = *++yy_c_buf_p;


	return c;
	}


#ifdef YY_USE_PROTOS
void yyrestart( FILE *input_file )
#else
void yyrestart( input_file )
FILE *input_file;
#endif
	{
	if ( ! yy_current_buffer )
		yy_current_buffer = yy_create_buffer( yyin, YY_BUF_SIZE );

	yy_init_buffer( yy_current_buffer, input_file );
	yy_load_buffer_state();
	}


#ifdef YY_USE_PROTOS
void yy_switch_to_buffer( YY_BUFFER_STATE new_buffer )
#else
void yy_switch_to_buffer( new_buffer )
YY_BUFFER_STATE new_buffer;
#endif
	{
	if ( yy_current_buffer == new_buffer )
		return;

	if ( yy_current_buffer )
		{
		/* Flush out information for old buffer. */
		*yy_c_buf_p = yy_hold_char;
		yy_current_buffer->yy_buf_pos = yy_c_buf_p;
		yy_current_buffer->yy_n_chars = yy_n_chars;
		}

	yy_current_buffer = new_buffer;
	yy_load_buffer_state();

	/* We don't actually know whether we did this switch during
	 * EOF (yywrap()) processing, but the only time this flag
	 * is looked at is after yywrap() is called, so it's safe
	 * to go ahead and always set it.
	 */
	yy_did_buffer_switch_on_eof = 1;
	}


#ifdef YY_USE_PROTOS
void yy_load_buffer_state( void )
#else
void yy_load_buffer_state()
#endif
	{
	yy_n_chars = yy_current_buffer->yy_n_chars;
	yytext_ptr = yy_c_buf_p = yy_current_buffer->yy_buf_pos;
	yyin = yy_current_buffer->yy_input_file;
	yy_hold_char = *yy_c_buf_p;
	}


#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_create_buffer( FILE *file, int size )
#else
YY_BUFFER_STATE yy_create_buffer( file, size )
FILE *file;
int size;
#endif
	{
	YY_BUFFER_STATE b;

	b = (YY_BUFFER_STATE) yy_flex_alloc( sizeof( struct yy_buffer_state ) );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_buf_size = size;

	/* yy_ch_buf has to be 2 characters longer than the size given because
	 * we need to put in 2 end-of-buffer characters.
	 */
	b->yy_ch_buf = (char *) yy_flex_alloc( b->yy_buf_size + 2 );
	if ( ! b->yy_ch_buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_create_buffer()" );

	b->yy_is_our_buffer = 1;

	yy_init_buffer( b, file );

	return b;
	}


#ifdef YY_USE_PROTOS
void yy_delete_buffer( YY_BUFFER_STATE b )
#else
void yy_delete_buffer( b )
YY_BUFFER_STATE b;
#endif
	{
	if ( ! b )
		return;

	if ( b == yy_current_buffer )
		yy_current_buffer = (YY_BUFFER_STATE) 0;

	if ( b->yy_is_our_buffer )
		yy_flex_free( (void *) b->yy_ch_buf );

	yy_flex_free( (void *) b );
	}



#ifdef YY_USE_PROTOS
void yy_init_buffer( YY_BUFFER_STATE b, FILE *file )
#else
void yy_init_buffer( b, file )
YY_BUFFER_STATE b;
FILE *file;
#endif


	{
	yy_flush_buffer( b );

	b->yy_input_file = file;
	b->yy_fill_buffer = 1;

#if YY_ALWAYS_INTERACTIVE
	b->yy_is_interactive = 1;
#else
#if YY_NEVER_INTERACTIVE
	b->yy_is_interactive = 0;
#else
	b->yy_is_interactive = file ? (isatty( fileno(file) ) > 0) : 0;
#endif
#endif
	}


#ifdef YY_USE_PROTOS
void yy_flush_buffer( YY_BUFFER_STATE b )
#else
void yy_flush_buffer( b )
YY_BUFFER_STATE b;
#endif

	{
	if ( ! b )
		return;

	b->yy_n_chars = 0;

	/* We always need two end-of-buffer characters.  The first causes
	 * a transition to the end-of-buffer state.  The second causes
	 * a jam in that state.
	 */
	b->yy_ch_buf[0] = YY_END_OF_BUFFER_CHAR;
	b->yy_ch_buf[1] = YY_END_OF_BUFFER_CHAR;

	b->yy_buf_pos = &b->yy_ch_buf[0];

	b->yy_at_bol = 1;
	b->yy_buffer_status = YY_BUFFER_NEW;

	if ( b == yy_current_buffer )
		yy_load_buffer_state();
	}


#ifndef YY_NO_SCAN_BUFFER
#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_scan_buffer( char *base, yy_size_t size )
#else
YY_BUFFER_STATE yy_scan_buffer( base, size )
char *base;
yy_size_t size;
#endif
	{
	YY_BUFFER_STATE b;

	if ( size < 2 ||
	     base[size-2] != YY_END_OF_BUFFER_CHAR ||
	     base[size-1] != YY_END_OF_BUFFER_CHAR )
		/* They forgot to leave room for the EOB's. */
		return 0;

	b = (YY_BUFFER_STATE) yy_flex_alloc( sizeof( struct yy_buffer_state ) );
	if ( ! b )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_buffer()" );

	b->yy_buf_size = size - 2;	/* "- 2" to take care of EOB's */
	b->yy_buf_pos = b->yy_ch_buf = base;
	b->yy_is_our_buffer = 0;
	b->yy_input_file = 0;
	b->yy_n_chars = b->yy_buf_size;
	b->yy_is_interactive = 0;
	b->yy_at_bol = 1;
	b->yy_fill_buffer = 0;
	b->yy_buffer_status = YY_BUFFER_NEW;

	yy_switch_to_buffer( b );

	return b;
	}
#endif


#ifndef YY_NO_SCAN_STRING
#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_scan_string( yyconst char *yy_str )
#else
YY_BUFFER_STATE yy_scan_string( yy_str )
yyconst char *yy_str;
#endif
	{
	int len;
	for ( len = 0; yy_str[len]; ++len )
		;

	return yy_scan_bytes( yy_str, len );
	}
#endif


#ifndef YY_NO_SCAN_BYTES
#ifdef YY_USE_PROTOS
YY_BUFFER_STATE yy_scan_bytes( yyconst char *bytes, int len )
#else
YY_BUFFER_STATE yy_scan_bytes( bytes, len )
yyconst char *bytes;
int len;
#endif
	{
	YY_BUFFER_STATE b;
	char *buf;
	yy_size_t n;
	int i;

	/* Get memory for full buffer, including space for trailing EOB's. */
	n = len + 2;
	buf = (char *) yy_flex_alloc( n );
	if ( ! buf )
		YY_FATAL_ERROR( "out of dynamic memory in yy_scan_bytes()" );

	for ( i = 0; i < len; ++i )
		buf[i] = bytes[i];

	buf[len] = buf[len+1] = YY_END_OF_BUFFER_CHAR;

	b = yy_scan_buffer( buf, n );
	if ( ! b )
		YY_FATAL_ERROR( "bad buffer in yy_scan_bytes()" );

	/* It's okay to grow etc. this buffer, and we should throw it
	 * away when we're done.
	 */
	b->yy_is_our_buffer = 1;

	return b;
	}
#endif


#ifndef YY_NO_PUSH_STATE
#ifdef YY_USE_PROTOS
static void yy_push_state( int new_state )
#else
static void yy_push_state( new_state )
int new_state;
#endif
	{
	if ( yy_start_stack_ptr >= yy_start_stack_depth )
		{
		yy_size_t new_size;

		yy_start_stack_depth += YY_START_STACK_INCR;
		new_size = yy_start_stack_depth * sizeof( int );

		if ( ! yy_start_stack )
			yy_start_stack = (int *) yy_flex_alloc( new_size );

		else
			yy_start_stack = (int *) yy_flex_realloc(
					(void *) yy_start_stack, new_size );

		if ( ! yy_start_stack )
			YY_FATAL_ERROR(
			"out of memory expanding start-condition stack" );
		}

	yy_start_stack[yy_start_stack_ptr++] = YY_START;

	BEGIN(new_state);
	}
#endif


#ifndef YY_NO_POP_STATE
static void yy_pop_state()
	{
	if ( --yy_start_stack_ptr < 0 )
		YY_FATAL_ERROR( "start-condition stack underflow" );

	BEGIN(yy_start_stack[yy_start_stack_ptr]);
	}
#endif


#ifndef YY_NO_TOP_STATE
static int yy_top_state()
	{
	return yy_start_stack[yy_start_stack_ptr - 1];
	}
#endif

#ifndef YY_EXIT_FAILURE
#define YY_EXIT_FAILURE 2
#endif

#ifdef YY_USE_PROTOS
static void yy_fatal_error( yyconst char msg[] )
#else
static void yy_fatal_error( msg )
char msg[];
#endif
	{
	(void) fprintf( stderr, "%s\n", msg );
	exit( YY_EXIT_FAILURE );
	}



/* Redefine yyless() so it works in section 3 code. */

#undef yyless
#define yyless(n) \
	do \
		{ \
		/* Undo effects of setting up yytext. */ \
		yytext[yyleng] = yy_hold_char; \
		yy_c_buf_p = yytext + n; \
		yy_hold_char = *yy_c_buf_p; \
		*yy_c_buf_p = '\0'; \
		yyleng = n; \
		} \
	while ( 0 )


/* Internal utility routines. */

#ifndef yytext_ptr
#ifdef YY_USE_PROTOS
static void yy_flex_strncpy( char *s1, yyconst char *s2, int n )
#else
static void yy_flex_strncpy( s1, s2, n )
char *s1;
yyconst char *s2;
int n;
#endif
	{
	register int i;
	for ( i = 0; i < n; ++i )
		s1[i] = s2[i];
	}
#endif

#ifdef YY_NEED_STRLEN
#ifdef YY_USE_PROTOS
static int yy_flex_strlen( yyconst char *s )
#else
static int yy_flex_strlen( s )
yyconst char *s;
#endif
	{
	register int n;
	for ( n = 0; s[n]; ++n )
		;

	return n;
	}
#endif


#ifdef YY_USE_PROTOS
static void *yy_flex_alloc( yy_size_t size )
#else
static void *yy_flex_alloc( size )
yy_size_t size;
#endif
	{
	return (void *) malloc( size );
	}

#ifdef YY_USE_PROTOS
static void *yy_flex_realloc( void *ptr, yy_size_t size )
#else
static void *yy_flex_realloc( ptr, size )
void *ptr;
yy_size_t size;
#endif
	{
	/* The cast to (char *) in the following accommodates both
	 * implementations that use char* generic pointers, and those
	 * that use void* generic pointers.  It works with the latter
	 * because both ANSI C and C++ allow castless assignment from
	 * any pointer type to void*, and deal with argument conversions
	 * as though doing an assignment.
	 */
	return (void *) realloc( (char *) ptr, size );
	}

#ifdef YY_USE_PROTOS
static void yy_flex_free( void *ptr )
#else
static void yy_flex_free( ptr )
void *ptr;
#endif
	{
	free( ptr );
	}

#if YY_MAIN
int main()
	{
	yylex();
	return 0;
	}
#endif
#line 117 "vars-parser-lex.l"


void
vp_scan_start(char *expr)
{
    scanner_line = 0;
    string = yy_scan_string(expr);
}

void
vp_scan_finish(void)
{
    yy_delete_buffer(string);
}

/*
  Local Variables:
  mode:c
  End:
 */
